package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author: tzx
 * @Date: 2022/3/8 9:01
 */
@Data
@Component
@ConfigurationProperties("xjrsoft")
public class GlobalConfig {
    /**
     * oss配置
     */
    private OSSConfig ossConfig;

    /**
     * 生成地址配置
     */
    private GeneratePathConfig generatePathConfig;

    /**
     * 短信配置
     */
    private XjrSmsConfig xjrSmsConfig;


}
