package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "mqtt")
public class MqttConfig {
    /**
     * 账号
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * mqtt 服务地址
     */
    private String server;

    /**
     * QoS等级 0=最多交付一次 1=至少交付一次 2=只交付一次
     */
    private int qos;
}
