package com.xjrsoft.module.app.dto;

import com.xjrsoft.common.page.ListInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: APP端功能模块管理列表查询入参
* @Author fanxp
* @Date: 2023-11-07
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseAppFunctionListDto extends ListInput {
    /**
     * 功能分类(xjr_dictionary_item[APPFUNC])
     */
    @ApiModelProperty("功能分类(xjr_dictionary_item[APPFUNC])")
    private String type;
}
