package com.xjrsoft.module.assessment.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 考核计划答题参与学生
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
public class AddAssessmentPlanAnswerStudentDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 班级ic
    */
    @ApiModelProperty("班级ic")
    private String studentUserId;
    /**
    * 考核计划id(assessment_template_plan)
    */
    @ApiModelProperty("考核计划id(assessment_template_plan)")
    private Long assessmentTemplatePlanId;

}
