package com.xjrsoft.module.assessment.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;


/**
* @title: 考核答题提交入参
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class AssessmentPlanSubmitDto implements Serializable {

    @ApiModelProperty("考核计划id")
    private Long assessmentTemplatePlanId;

    @ApiModelProperty("问题答案")
    List<AssessmentPlanAnswerSubmitDto> answerList;

}
