package com.xjrsoft.module.assessment.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 考核模板题目
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
@TableName("assessment_plan_answer_result")
@ApiModel(value = "assessment_plan_answer_result", description = "考核答题结果")
public class AssessmentPlanAnswerResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long studentUserId;
    /**
    * 选项id(assessment_plan_question[category=3的id])
    */
    @ApiModelProperty("选项id(assessment_plan_question[category=2的id])")
    private Long questionId;
    /**
     * 选项id(assessment_plan_question[category=3的id])
     */
    @ApiModelProperty("选项id(assessment_plan_question[category=3的id])")
    private String answerId;
    /**
    * 考核计划id(assessment_template_plan)
    */
    @ApiModelProperty("考核计划id(assessment_template_plan)")
    private Long assessmentTemplatePlanId;


}