package com.xjrsoft.module.assessment.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 考核计划答题参与班级表单出参
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
public class AssessmentPlanAnswerClassVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private String classId;
    /**
    * 班主任是否确认(0:否 1:是)
    */
    @ApiModelProperty("班主任是否确认(0:否 1:是)")
    private Integer isConfirm;
    /**
    * 考核计划id(assessment_template_plan)
    */
    @ApiModelProperty("考核计划id(assessment_template_plan)")
    private Long assessmentTemplatePlanId;



}
