package com.xjrsoft.module.assessment.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 考核计划答题参与学生表单出参
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
public class AssessmentPlanAnswerStudentVo {

    @ApiModelProperty("学生id")
    private String studentUserId;

    @ApiModelProperty("学生姓名")
    private String name;
    /**
    * 考核计划id(assessment_template_plan)
    */
    @ApiModelProperty("考核计划id(assessment_template_plan)")
    private Long assessmentTemplatePlanId;

    @ApiModelProperty("状态(0：未提交 1：已提交)")
    private Integer submitStatus;



}
