package com.xjrsoft.module.assessment.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 考核模板题目表单出参
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
public class AssessmentPlanQuestionVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 题目题干
    */
    @ApiModelProperty("题目题干")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;
    /**
    * 题目类型
    */
    @ApiModelProperty("题目类型")
    private String type;
    /**
    * 类别(1:大题 2:小题 3:选项)
    */
    @ApiModelProperty("类别(1:大题 2:小题 3:选项)")
    private Integer category;
    /**
    * 父级id
    */
    @ApiModelProperty("父级id")
    private Long parentId;
    /**
    * 小题是否必填(1:是 0:否)
    */
    @ApiModelProperty("小题是否必填(1:是 0:否)")
    private Short required;
    /**
    * 考核计划id(assessment_template_plan)
    */
    @ApiModelProperty("考核计划id(assessment_template_plan)")
    private Long assessmentTemplatePlanId;



}
