package com.xjrsoft.module.asset.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author szs
 * @date 2024/3/25
 */
@Data
public class PlaceTreeVo implements ITreeNode<PlaceTreeVo, Long>, Serializable {
    @ApiModelProperty("id")
    private Long id;


    @ApiModelProperty("name")
    private String name;


    @ApiModelProperty("disabled")
    private Long parentId;


    @ApiModelProperty("children")
    private List<PlaceTreeVo> children;

}
