package com.xjrsoft.module.asset.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 资产管理盘点分页列表出参
* @Author szs
* @Date: 2024-04-07
* @Version 1.0
*/
@Data
public class WfAssetManageInventoryPageVo {

    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private String id;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private Long createUserId;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private Date createDate;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private Long modifyUserId;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private Date modifyDate;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private Integer deleteMark;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private Integer enabledMark;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态(0:未结束 1:结束)")
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Short status;
    /**
    * 区域类型
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("区域类型")
    @ApiModelProperty("区域类型")
    private String areaType;
    /**
    * 附件id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("附件id")
    @ApiModelProperty("附件id")
    private Long folderId;
    /**
    * 楼栋id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("楼栋id")
    @ApiModelProperty("楼栋id")
    private Long baseOfficeBuildId;
    /**
    * 楼层
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("楼层")
    @ApiModelProperty("楼层")
    private Integer floorNumber;
    /**
    * 门牌号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("门牌号")
    @ApiModelProperty("门牌号")
    private String roomNumber;

}
