package com.xjrsoft.module.asset.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 资产管理盘点表单出参
* @Author szs
* @Date: 2024-04-07
* @Version 1.0
*/
@Data
public class WfAssetManageInventoryVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Short status;
    /**
    * 区域类型
    */
    @ApiModelProperty("区域类型")
    private String areaType;
    /**
    * 附件id
    */
    @ApiModelProperty("附件id")
    private Long folderId;
    /**
    * 楼栋id
    */
    @ApiModelProperty("楼栋id")
    private Long baseOfficeBuildId;
    /**
    * 楼层
    */
    @ApiModelProperty("楼层")
    private Integer floorNumber;
    /**
    * 门牌号
    */
    @ApiModelProperty("门牌号")
    private String roomNumber;



}
