package com.xjrsoft.module.attendance.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 学生考勤记录
* @Author dzx
* @Date: 2024-05-15
* @Version 1.0
*/
@Data
public class AddStudentAttendanceRecordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 学生userId(xjr_user)
    */
    @ApiModelProperty("学生userId(xjr_user)")
    private Long userId;
    /**
    * 班主人id(xjr_user)
    */
    @ApiModelProperty("班主人id(xjr_user)")
    private Long teacherId;
    /**
    * 班级id(class)
    */
    @ApiModelProperty("班级id(class)")
    private Long classId;
    /**
    * 就读方式(xjr_dictionary_item[stduy_status])
    */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatus;
    /**
    * 考勤状态(xjr_dictionary_detail[attendance_status])
    */
    @ApiModelProperty("考勤状态(xjr_dictionary_detail[attendance_status])")
    private String attendanceStatus;
    /**
    * 时段（1：上午，2：下午，3：晚上）
    */
    @ApiModelProperty("时段（1：上午，2：下午，3：晚上）")
    private Integer timeInterval;

}
