package com.xjrsoft.module.attendance.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class StudentDetailsDto extends PageInput {

    @ApiModelProperty("时间段（1：上午 2：下午）")
    private Integer timePeriod;

    @ApiModelProperty("查询时间")
    private String date;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("证件号码")
    private String credentialNumber;

    @ApiModelProperty("就读方式")
    private String stduyStatus;

    @ApiModelProperty("班级id")
    private Long classId;
}
