package com.xjrsoft.module.attendance.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.attendance.entity.AttendanceRuleDetails;
import com.xjrsoft.module.attendance.vo.AttendanceRuleDetailsUserVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 考勤规则细则
* @Author dzx
* @Date: 2024-05-08
* @Version 1.0
*/
@Mapper
public interface AttendanceRuleDetailsMapper extends MPJBaseMapper<AttendanceRuleDetails> {
    List<AttendanceRuleDetails> getTodayRules(@Param("dayOfWeek") String dayOfWeek);

    List<AttendanceRuleDetailsUserVo> getAllTeacherTodyRule(@Param("dayOfWeek") String dayOfWeek);

    List<AttendanceRuleDetailsUserVo> getAllStudentTodyRule(@Param("dayOfWeek") String dayOfWeek);

}
