package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教职工统计
* @Author dzx
* @Date: 2024年5月24日
* @Version 1.0
*/
@Data
public class ClassStatisticsVo {

    @ApiModelProperty("班级id")
    private Long id;

    @ApiModelProperty("班级名称")
    private String name;

    @ApiModelProperty("班主任姓名")
    private String teacherName;

    @ApiModelProperty("学生总人数")
    private Integer studentCount;

    @ApiModelProperty("住校人数")
    private Integer stayCount;

    @ApiModelProperty("走读人数")
    private Integer notStayCount;

    @ApiModelProperty("请假人数")
    private Integer leaveCount;

    @ApiModelProperty("迟到人数")
    private Integer lateCount;

    @ApiModelProperty("旷课人数")
    private Integer playTruantCount;

    @ApiModelProperty("实到人数")
    private Integer actualCount;

    @ApiModelProperty("缺勤人数")
    private Integer absenteeismCount;

    @ApiModelProperty("出勤率")
    private Double attendanceRate;

    @ApiModelProperty("应该离校人数")
    private Integer ygLeaveSchoolCount;

    @ApiModelProperty("已经离校人数")
    private Integer yjLeaveSchoolCount;

    @ApiModelProperty("未离校人数")
    private Integer wLeaveSchoolCount;

}
