package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StudentAttendanceRecordClassPageVo {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private String id;
    /**
     * 时段（1：上午，2：下午，3：晚上）
     */
    @ApiModelProperty("时段（1：上午，2：下午，3：晚上）")
    private Integer timeInterval;
    /**
     * 班级ID
     */
    @ApiModelProperty("班级ID")
    private Long classId;
    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String classCn;
    /**
     * 班主人
     */
    @ApiModelProperty("班主人")
    private Long teacherCn;
    /**
     * 总人数
     */
    @ApiModelProperty("总人数")
    private  Integer totalCount;
    /**
     * 住读人数
     */
    @ApiModelProperty("住读人数")
    private  Integer stayCount;
    /**
     * 走读人数
     */
    @ApiModelProperty("走读人数")
    private  Integer notStayCount;
    /**
     * 实到人数
     */
    @ApiModelProperty("实到人数")
    private  Integer actualCount;
    /**
     * 请假人数
     */
    @ApiModelProperty("请假人数")
    private  Integer leaveCount;
    /**
     * 迟到人数
     */
    @ApiModelProperty("迟到人数")
    private  Integer lateCount;
    /**
     * 旷课人数
     */
    @ApiModelProperty("旷课人数")
    private  Integer absenteeismCount;
    /**
     * 缺勤人数
     */
    @ApiModelProperty("缺勤人数")
    private  Integer truantCount;
    /**
     * 缺勤率
     */
    @ApiModelProperty("缺勤率")
    private  Float attendanceRate;
    /**
     * 考勤状态
     */
    @ApiModelProperty("考勤状态")
    private String attendanceStatusCn;
}
