package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教职工统计
* @Author dzx
* @Date: 2024年5月24日
* @Version 1.0
*/
@Data
public class StudentStatisticsVo {

    @ApiModelProperty("总人数")
    private Long allCount;
    /**
    * 实到人数
    */
    @ApiModelProperty("实到人数")
    private Long actualCount;
    /**
    * 请假人数
    */
    @ApiModelProperty("请假人数")
    private Long leaveCount;
    /**
    * 迟到人数
    */
    @ApiModelProperty("迟到人数")
    private Long lateCount;
    /**
    * 上学时间前多少分钟进行提醒
    */
    @ApiModelProperty("缺勤人数")
    private Long absenteeismCount;

    @ApiModelProperty("出勤率")
    private Double attendanceRate;

}
