package com.xjrsoft.module.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 班级课程
* @Author brealinxx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class AddBaseClassCourseDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 班级id(base_class)
    */
    @ApiModelProperty("班级id(base_class)")
    private Long classId;
    /**
    * 课程id(base_course_subject)
    */
    @ApiModelProperty("课程id(base_course_subject)")
    private Long courseId;
    /**
    * 教材id(textbook)
    */
    @ApiModelProperty("教材id(textbook)")
    private Long textbookId;

}
