package com.xjrsoft.module.base.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 班级课程分页查询入参
* @Author brealinxx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseClassCoursePageDto extends PageInput {
    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("所属机构")
    private Long deptId;

    @ApiModelProperty("教学课程设置(0:全部 1:已设置 2:未设置)")
    private Integer courseSet;

    @ApiModelProperty("学期id")
    private Long semester;
}
