package com.xjrsoft.module.base.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 班级课程分页列表出参
* @Author brealinxx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class BaseClassCourseListVo {

    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private String id;
    /**
    * 班级id(base_class)
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级id(base_class)")
    private Long classId;
    /**
     * 班级id(base_class)
     */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级id(base_class)")
    private String classIdCn;

    /**
    * 课程id(base_course_subject)
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("课程id(base_course_subject)")
    private Long courseId;

    @ApiModelProperty("课程id")
    @ExcelProperty("课程id")
    private String courseIdCn;

    /**
    * 教材id(textbook)
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("教材id(textbook)")
    private Long textbookId;
    /**
     * 教材id(textbook)
     */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("教材id(textbook)")
    private String textbookIdCn;

    @ExcelProperty("学期")
    private Long baseSemesterId;
    @ExcelProperty("学期")
    private String baseSemesterIdCn;
}
