package com.xjrsoft.module.dataexpert.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 数据导出-数据模板
* @Author dzx
* @Date: 2024-04-19
* @Version 1.0
*/
@Data
public class AddDataExpertTemplateDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 模板名称
    */
    @ApiModelProperty("模板名称")
    private String name;
    /**
    * 数据源(data_expert_source)
    */
    @ApiModelProperty("数据源(data_expert_source)")
    private Long dataExpertSourceId;
    /**
    * 字段配置
    */
    @ApiModelProperty("字段配置")
    private String fieldJson;

}
