package com.xjrsoft.module.dataexpert.dto;

import com.xjrsoft.module.dataexpert.vo.DataExpertTemplateFieldVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
* @title: 数据导出-数据源设置字段查询入参
* @Author dzx
* @Date: 2024-04-19
* @Version 1.0
*/
@Data
public class DataExpertDto {

    @ApiModelProperty("数据模板(data_expert_template)")
    private Long dataExpertTemplateId;

    @ApiModelProperty("数据字段")
    private List<DataExpertTemplateFieldVo> fieldList;

    @ApiModelProperty("数据源(data_expert_source)")
    private Long dataExpertSourceId;

    @ApiModelProperty("数据行id")
    private List<String> ids;

    @ApiModelProperty("条件（json）")
    private List<DataExpertConditionsDto> conditions;

}
