package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 评价结果分页查询入参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class DrillEvaluateClassListDto{

    @ApiModelProperty(value = "评价管理id", required = true)
    private Long evaluateManageId;

    @ApiModelProperty(value = "专业id")
    private Long majorId;

    @ApiModelProperty(value = "楼栋id")
    private Long officeBuildId;

    @ApiModelProperty(value = "当天的日期", hidden = true)
    private String todayDate;

    @ApiModelProperty(value = "登录者id（前端不传，后端传）", hidden = true)
    private Long loginUserId;
}
