package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 评价结果首页详情查看的详情入参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class EvaluateResultDetailPageDetailDto{
    /**
     * 评价管理主键编号
     */
    @ApiModelProperty(value = "评价管理主键编号",required = true)
    private Long evaluateManageId;

    /**
     * 被评对象id
     */
    @ApiModelProperty(value = "被评对象id",required = true)
    private Long evaluatedObjectId;

    /**
     * 执行人id
     */
    @ApiModelProperty(value = "执行人id",required = true)
    private Long evaluatedExecuterId;
}
