package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 被评价对象
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class SaveEvaluateObjectDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 评价管理编号
    */
    @ApiModelProperty("评价管理编号")
    private String evaluateManageId;

    @ApiModelProperty("被评人信息")
    private List<AddEvaluateObjectDto> objectList;

}
