package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 评价执行人表单出参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateExecuterVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 评价管理编号
    */
    @ApiModelProperty("评价管理编号")
    private String evaluateManageId;
    /**
    * 被评对象id
    */
    @ApiModelProperty("被评对象id")
    private String evaluateObjectId;
    /**
    * 参加评价的人id
    */
    @ApiModelProperty("参加评价的人id")
    private String executerId;

    @ApiModelProperty("参加评价的人名称")
    private String executerName;


    @ApiModelProperty("班级id")
    private String classId;

    @ApiModelProperty("年级id")
    private String gradeId;

}
