package com.xjrsoft.module.evaluate.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 评价模版分页列表出参
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
public class EvaluateTemplatePageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 模板名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("模板名称")
    @ApiModelProperty("模板名称")
    private String name;
    /**
    * 评价类型(xjr_dictionary_item[evaluate_type])
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("评价类型(xjr_dictionary_item[evaluate_type])")
    @ApiModelProperty("评价类型(xjr_dictionary_item[evaluate_type])")
    private String evaluateType;
    /**
    * 评价总分
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("评价总分")
    @ApiModelProperty("评价总分")
    private Double total;
    /**
    * 使用部门ids
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用部门ids")
    @ApiModelProperty("使用部门ids")
    private String deptIds;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用部门名称")
    @ApiModelProperty("使用部门名称")
    private String deptNames;
    /**
    * 备注
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（0:禁用 1:启用）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态（0:禁用 1:启用）")
    @ApiModelProperty("状态（0:禁用 1:启用）")
    private Integer status;

}
