package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 评价管理分页列表出参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateWriteVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("评价管理编号")
    private String id;
    /**
    * 评价名称
    */
    @ApiModelProperty("评价名称")
    private String name;

    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;

    @ApiModelProperty("题目数量")
    private Integer itemCount;

    @ApiModelProperty("题目总分")
    private Integer sumScore;

}
