package com.xjrsoft.module.holiday.dto;

import com.xjrsoft.common.page.ListInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 列表查询入参
* @Author fanxp
* @Date: 2024-03-26
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class HolidayDateListDto extends ListInput {

    /**
     *
     */
    @ApiModelProperty("年")
    private Integer year;
    /**
     *
     */
    @ApiModelProperty("月")
    private Integer month;
    /**
     *
     */
    @ApiModelProperty("日")
    private Integer day;
}
