package com.xjrsoft.module.ledger.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 物品申购子表
* @Author dzx
* @Date: 2024-02-19
* @Version 1.0
*/
@Data
@TableName("wf_subscription_list")
@ApiModel(value = "wf_subscription_list", description = "物品申购子表")
public class WfSubscriptionList implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 申购物品名称
    */
    @ApiModelProperty("申购物品名称")
    private String nameOfThePurchasedItem;
    /**
    * 品牌
    */
    @ApiModelProperty("品牌")
    private String brand;
    /**
    * 规格型号
    */
    @ApiModelProperty("规格型号")
    private String specificationAndModel;
    /**
    * 估计单价
    */
    @ApiModelProperty("估计单价")
    private Double estimatedUnitPrice;
    /**
    * 申购物品数量
    */
    @ApiModelProperty("申购物品数量")
    private Double amount;
    /**
    * 单位
    */
    @ApiModelProperty("单位")
    private String unit;
    /**
    * 合计金额
    */
    @ApiModelProperty("合计金额")
    private Double totalAmount;
    /**
    * 物品类型
    */
    @ApiModelProperty("物品类型")
    private String itemType;
    /**
    * 用途
    */
    @ApiModelProperty("用途")
    private String yongTu8748;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long parentId;


}