package com.xjrsoft.module.ledger.vo;

import com.xjrsoft.module.form.entity.MenuConfig;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
* @title: 台账发布表表单出参
* @Author dzx
* @Date: 2024-03-07
* @Version 1.0
*/
@Data
public class LedgerConfigReleaseInfoVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
     * 台账配置(ledger_config)
     */
    @ApiModelProperty("台账名称")
    private String ledgerName;
    /**
     * 备注信息
     */
    @ApiModelProperty("备注信息")
    private String menuName;

    @Valid
    @NotNull(message = "台账配置信息")
    private String configJson;



}
