package com.xjrsoft.module.material.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 材料提交任务类型分配
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class AddMaterialTypeAssignDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 材料提交任务类型(material_type)
    */
    @ApiModelProperty("材料提交任务类型(material_type)")
    private Long materialTypeId;

    /**
     * 用户列表
     */
    @ApiModelProperty("用户列表")
    private  List<MaterialAssignUserDto> userList;

}
