package com.xjrsoft.module.material.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class MaterialTaskWaitPageDto extends PageInput {
    /**
     * 材料提交任务类型(material_type)
     */
//    @ApiModelProperty("材料提交任务类型(material_type)")
//    private Long materialTypeId;
    /**
     * 任务名称
     */
    @ApiModelProperty("任务名称")
    private String name;
    /**
     * 状态 1=未开始 2=进行中 3=结束
     */
    @ApiModelProperty("状态 1=未开始 2=进行中 3=结束")
    private Integer status;
    /**
     * 指派人
     */
    @ApiModelProperty("指派人")
    private String assignedUser;

    /**
     * 要求完成日期 开始
     */
//    @ApiModelProperty("要求完成日期 开始")
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    private LocalDateTime requiredCompleteStareTime;

    /**
     * 要求完成日期 结束
     */
//    @ApiModelProperty("要求完成日期 结束")
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    private LocalDateTime requiredCompleteEndTime;

    /**
     * 执行状态 1=未提交 2=待审核 3=通过 4=重做
     */
    @ApiModelProperty("执行状态 1=未提交 2=待审核 3=通过 4=重做")
    private Integer extStatus;
}
