package com.xjrsoft.module.material.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 材料提交任务类型分页查询入参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class MaterialTypePageDto extends PageInput {
    /**
     * 任务名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("任务名称")
    @ApiModelProperty("任务名称")
    private String name;
    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategory;
}
