package com.xjrsoft.module.oa.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @Author: tzx
 * @Date: 2022/6/27 16:27
 */
@Data
public class ChangeNewsDto {

    /**
     * 类型（1-新闻2-公告）
     */
    @NotNull(message = "id不能为空！")
    private Long id;
    /**
     * 类型（1-新闻2-公告）
     */
    @ApiModelProperty("状态 1=未发布 2=已发布 3=下架")
    @NotNull(message = "状态不能为空！")
    private Integer status;
}
