package com.xjrsoft.module.oa.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @title: 公告年级班级树出参
 * @Author szs
 * @Date: 2023-12-06
 * @Version 1.0
 */
@Data
public class NewsGradeClassTreeVo implements ITreeNode<NewsGradeClassTreeVo,Long>, Serializable {


    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("班级名")
    private String name;

    @ApiModelProperty("父级id")
    private Long parentId;

    private List<NewsGradeClassTreeVo> children;
}
