package com.xjrsoft.module.organization.dto;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

/**
 * @title: DepartmentTreeDto
 * @Author tzx
 * @Date: 2022/4/9 21:16
 * @Version 1.0
 */
@Data
public class DepartmentTreeDto {

    @Length(min = 1,max = 50,message = "机构名称最少2个字符，最多50个字符！")
    private String name;

    @Length(min = 1,max = 10,message = "机构编码最少2个字符，最多10个字符！")
    private String code;

    private Integer enabledMark;

    private Integer isOrg;
}
