package com.xjrsoft.module.organization.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.organization.dto.UserPageDto;
import com.xjrsoft.module.organization.entity.User;
import com.xjrsoft.module.organization.vo.ResetUserPageVo;
import org.apache.ibatis.annotations.Mapper;
/**
 * <p>
 * 用户 Mapper 接口
 * </p>
 *
 * @author tzx
 * @since 2022-03-02
 */
@Mapper
public interface UserMapper extends MPJBaseMapper<User> {
    Page<ResetUserPageVo> getResetUserPage(Page<ResetUserPageVo> page, UserPageDto dto);
}
