package com.xjrsoft.module.organization.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @title: 移动端重置密码用户列表
 * @Author dzx
 * @Date: 2024年4月11日
 * @Version 1.0
 */
@Data
public class ResetUserRoleVo implements ITreeNode<ResetUserRoleVo,Long>, Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 账户
     */
    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("类型：1：角色， 2：部门")
    private Integer type;

    @ApiModelProperty("父级id")
    private Long parentId;

    private List<ResetUserRoleVo> children;
}