package com.xjrsoft.module.outint.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.outint.entity.StudentOutInRecord;
import com.xjrsoft.module.outint.vo.IdCountVo;
import com.xjrsoft.module.outint.vo.StudentOutInRecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
* @title: 学生出入记录
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Mapper
public interface StudentOutInRecordMapper extends MPJBaseMapper<StudentOutInRecord> {

    List<IdCountVo> getNotStayClassCount(@Param("startTime")LocalDateTime startTime, @Param("endTime")LocalDateTime endTime);

    List<IdCountVo> getStayClassCount(@Param("startTime")LocalDateTime startTime, @Param("endTime")LocalDateTime endTime);

    List<StudentOutInRecordVo> getNotStayList(@Param("startTime")LocalDateTime startTime, @Param("endTime")LocalDateTime endTime);

    List<StudentOutInRecordVo> getStayList(@Param("startTime")LocalDateTime startTime, @Param("endTime")LocalDateTime endTime);

    List<StudentOutInRecordVo> getList(@Param("startTime")LocalDateTime startTime, @Param("endTime")LocalDateTime endTime);
}
