package com.xjrsoft.module.personnel.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 人脸信息审核
* @Author dzx
* @Date: 2024-05-10
* @Version 1.0
*/
@Data
public class AddTeacherFaceProcessDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 
    */
    @ApiModelProperty("")
    private String name;
    /**
    * 部门id
    */
    @ApiModelProperty("部门id")
    private Long depId;
    /**
    * 
    */
    @ApiModelProperty("")
    private String depCn;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private Long facePhoto;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 部门主任id
    */
    @ApiModelProperty("部门主任id")
    private Long depUserId;

}
