package com.xjrsoft.module.personnel.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.personnel.dto.BasePersonnelLabourCapitalMonthPageDto;
import com.xjrsoft.module.personnel.dto.BasePersonnelLabourCapitalYearPageDto;
import com.xjrsoft.module.personnel.entity.BasePersonnelLabourCapital;
import com.xjrsoft.module.personnel.entity.BasePersonnelLabourCapitalData;
import com.xjrsoft.module.personnel.vo.BasePersonnelLabourCapitalMonthPageVo;
import com.xjrsoft.module.personnel.vo.BasePersonnelLabourCapitalYearPageVo;
import org.apache.ibatis.annotations.Mapper;

/**
 * @title: 月工资条数据
 * @Author brealinxx
 * @Date: 2024-01-25
 * @Version 1.0
 */
@Mapper
public interface BasePersonnelLabourCapitalMapper extends MPJBaseMapper<BasePersonnelLabourCapital>{
    Page<BasePersonnelLabourCapitalMonthPageVo> getMonthPage(Page<BasePersonnelLabourCapitalMonthPageDto> page, BasePersonnelLabourCapitalMonthPageDto dto);
    Page<BasePersonnelLabourCapitalYearPageVo> getYearPage(Page<BasePersonnelLabourCapitalYearPageDto> page, BasePersonnelLabourCapitalYearPageDto dto);
}

