package com.xjrsoft.module.personnel.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.personnel.dto.AddBasePersonnelLabourCapitalDto;
import com.xjrsoft.module.personnel.dto.LaborManagementPageDto;
import com.xjrsoft.module.personnel.dto.UpdateLaborManagementDto;
import com.xjrsoft.module.personnel.vo.LaborManagementPageVo;
import com.xjrsoft.module.personnel.vo.LaborManagementVo;
import com.xjrsoft.module.personnel.entity.LaborManagement;
import com.xjrsoft.module.textbook.dto.TextbookIssueRecordPageDto;
import com.xjrsoft.module.textbook.vo.TextbookIssueRecordPageVo;
import com.xjrsoft.module.weekly.entity.WeeklyDutySchedule;

import java.util.List;

/**
* @title: 劳资管理信息表
* @Author brealinxx
* @Date: 2024-01-23
* @Version 1.0
*/

public interface ILaborManagementService extends MPJBaseService<LaborManagement>  {
    Page<LaborManagementPageVo> getPage(Page<LaborManagementPageDto> page, LaborManagementPageDto dto);

    List<LaborManagementPageVo> listLaborManagementPageVo();
}
