package com.xjrsoft.module.personnel.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 工资发放表头表单出参
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
public class BasePersonnelLabourCapitalTitleVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 工资发放id
    */
    @ApiModelProperty("工资发放id")
    private Long labourCapitalId;
    /**
    * 表头名称
    */
    @ApiModelProperty("表头名称")
    private String name;
    /**
    * 所属行
    */
    @ApiModelProperty("所属行")
    private Integer rowsNumber;
    /**
    * 所属列
    */
    @ApiModelProperty("所属列")
    private Integer columnNumber;
    /**
    * 合并行数
    */
    @ApiModelProperty("合并行数")
    private Integer mergeRows;
    /**
    * 合并列数
    */
    @ApiModelProperty("合并列数")
    private Integer mergeColumns;



}
