package com.xjrsoft.module.personnel.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class ReservationSchoolVisitorPageVo {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private String id;
    /**
     * 主键 主表
     */
    @ApiModelProperty("主键 主表")
    private String pId;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
     * 进校事由
     */
    @ApiModelProperty("进校事由")
    private String reason;

    /**
     * 进校时间
     */
    @ApiModelProperty("进校时间")
    private Date startTime;
    /**
     * 离校时间
     */
    @ApiModelProperty("离校时间")
    private Date endTime;
    /**
     * 状态(0:未结束 1:结束)
     */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
     * 拜访时间
     */
    @ApiModelProperty("拜访时间")
    private Integer time;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    private Long phone;
    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String gender;
    /**
     * 部门
     */
    @ApiModelProperty("部门")
    private String deptCn;

    /**
     * 被访人用户
     */
    @ApiModelProperty("被访人用户")
    private String respondentUserCn;

    @ApiModelProperty("同行人数")
    private Integer peopleCount;
}
