package com.xjrsoft.module.personnel.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 学生人脸信息审核表单出参
* @Author dzx
* @Date: 2024-05-10
* @Version 1.0
*/
@Data
public class StundentFaceProcessVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 
    */
    @ApiModelProperty("")
    private String name;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 
    */
    @ApiModelProperty("")
    private String classCn;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private Long facePhoto;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 班主任id
    */
    @ApiModelProperty("班主任id")
    private Long teacherId;



}
