package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 宿管值班管理(人员)
* @Author dzx
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class AddRoomValueWeekItemDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 宿管值班管理编号（room_value_week）
    */
    @ApiModelProperty("宿管值班管理编号（room_value_week）")
    private Long roomValueWeekId;
    /**
    * 值班人员用户编号
    */
    @ApiModelProperty("值班人员用户编号")
    private Long userId;
    /**
    * 职务（宿管、教官）
    */
    @ApiModelProperty("职务（宿管、教官）")
    private String postName;
    /**
    * 负责寝室（男寝、女寝固定）
    */
    @ApiModelProperty("负责寝室（男寝、女寝固定）")
    private String roomType;
    /**
    * 人数(添加时先默认统计一个进去)
    */
    @ApiModelProperty("人数(添加时先默认统计一个进去)")
    private Integer numberPeople;

}
