package com.xjrsoft.module.room.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 寝室长任命分页查询入参
* @Author dzx
* @Date: 2023-12-30
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class RoomStudentAppointPageDto extends PageInput {
    /**
     * 入住性别(xjr_dictionary_item[gender])
     */
    @ApiModelProperty("入住性别(xjr_dictionary_item[gender])")
    private String gender;
    /**
     * 寝室主键编号
     */
    @ApiModelProperty("寝室主键编号")
    private Long roomId;

    /**
     * 班主任用户主键编号Id
     */
    @ApiModelProperty(value = "班主任用户主键编号Id",hidden = true)
    private Long teacherId;
}
