package com.xjrsoft.module.room.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 宿管值班管理分页查询入参
* @Author dzx
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class RoomValueWeekPageDto extends PageInput {

    @ApiModelProperty("开始时间")
    private String startTime;

    @ApiModelProperty("结束时间")
    private String endTime;

    @ApiModelProperty("值班人员")
    private String userName;

    @ApiModelProperty("寝室类型")
    private String roomType;

}
