package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.List;
import java.util.Date;
import com.xjrsoft.module.room.entity.RoomValueWeekItem;



/**
* @title: 宿管值班管理
* @Author dzx
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class UpdateRoomValueWeekDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("人员编号")
    private Long userId;

    @ApiModelProperty("留寝人数")
    private Integer numberPeople;
}
