package com.xjrsoft.module.room.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.room.dto.RoomRulePageDto;
import com.xjrsoft.module.room.entity.RoomRule;
import com.xjrsoft.module.room.vo.RoomRulePageVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 寝室生成规则
* @Author dzx
* @Date: 2024-01-02
* @Version 1.0
*/
@Mapper
public interface RoomRuleMapper extends MPJBaseMapper<RoomRule> {
    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<RoomRulePageVo> getPage(Page<RoomRulePageDto> page, RoomRulePageDto dto);

    Integer getMaxSortCode();

    Integer getItemMaxSortCode();
}
