package com.xjrsoft.module.room.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 寝室生成规则表单出参
* @Author dzx
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class RoomRuleVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 楼层
    */
    @ApiModelProperty("楼层")
    private Integer floorNumber;
    /**
    * 规则名称
    */
    @ApiModelProperty("规则名称")
    private String name;
    /**
    * 规则配置（多个规则用逗号隔开）
    */
    @ApiModelProperty("规则配置（多个规则用逗号隔开）")
    private String rule;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;


    /**
    * roomRuleItem
    */
    @ApiModelProperty("roomRuleItem子表")
    private List<RoomRuleItemVo> roomRuleItemList;

}
