package com.xjrsoft.module.schedule.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 学生职务设置表单出参
* @Author dzx
* @Date: 2023-11-13
* @Version 1.0
*/
@Data
public class StudentJianyuekbVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("学号")
    private String registerNo;
    /**
    * 序号
    */
    @ApiModelProperty("姓名")
    private String realName;
    /**
    * 职务
    */
    @ApiModelProperty("年级id")
    private Long gradeSerialNo;
    /**
    * 职务级别
    */
    @ApiModelProperty("别名")
    private String alias;
    /**
    * 是否允许德育检查(1:是 0:否)
    */
    @ApiModelProperty("性别：1男，2女")
    private String gender;
    /**
    * 职责描述
    */
    @ApiModelProperty("创建扩展id")
    private Long extendId;

}
