package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 考核项目表
* @Author dzx
* @Date: 2024-03-05
* @Version 1.0
*/
@Data
public class AddBaseStudentAssessmentItemDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 项目名称
    */
    @ApiModelProperty("项目名称")
    private String name;
    /**
    * 学生考核类别(base_student_assessment_category)
    */
    @ApiModelProperty("学生考核类别(base_student_assessment_category)")
    private Long baseStudentAssessmentCategoryId;

}
