package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 学生干部管理
* @Author dzx
* @Date: 2023-11-14
* @Version 1.0
*/
@Data
public class AddBaseStudentCadreDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long userId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 职务id
    */
    @ApiModelProperty("职务id")
    private Long postId;
    /**
    * 干部部门编号
    */
    @ApiModelProperty("干部部门编号")
    private Long cadreDeptId;
    /**
    * 任职开始时间
    */
    @ApiModelProperty("任职开始时间")
    private String startTime;
    /**
    * 任职结束时间
    */
    @ApiModelProperty("任职结束时间")
    private String endTime;
    /**
    * 状态（1:在职 0:离职）
    */
    @ApiModelProperty("状态（1:在职 0:离职）")
    private Integer status;
    /**
    * 离职生效日期
    */
    @ApiModelProperty("离职生效日期")
    private String leaveTime;
    /**
    * 离职原因
    */
    @ApiModelProperty("离职原因")
    private String leaveReason;

}
