package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.ListInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生考核项目列表查询入参
* @Author fanxp
* @Date: 2023-11-14
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentAssessmentProjectListDto extends ListInput {
    /**
     * 学生考核类别(base_student_assessment_category)
     */
    @ApiModelProperty("学生考核类别(base_student_assessment_category)")
    private String baseStudentAssessmentCategoryId;

}
