package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentUserPageDto extends PageInput {

    /**
     * 账户
     */
    @ApiModelProperty("账户")
    private String userName;
    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 邮箱
     */
    @ApiModelProperty("邮箱")
    private String email;

    /**
     * 权限标识
     */
    @ApiModelProperty("权限标识")
    private Integer tokenType;

    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    private Long classId;

}
