package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
* @title: 分页查询入参
* @Author dzx
* @Date: 2024-03-13
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class PbVXssfdetailExcelDto {

    @ApiModelProperty("学期Id")
    private Long semesterId;

    @ApiModelProperty("收费项目")
    private String feeitemname;

    @ApiModelProperty("学生姓名")
    private String name;

    @ApiModelProperty("学生学号")
    private String studentId;

    @ApiModelProperty("订单号")
    private String payorder;

    @ApiModelProperty("支付时间-开始")
    private String startDate;

    @ApiModelProperty("支付时间-结束")
    private String endDate;

    @ApiModelProperty("缴费类型(-1:退费 1:缴费)")
    private Integer category;

    @ApiModelProperty("订单号")
    private List<Long> payorders;
}
