package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学籍异动学生分页查询入参
* @Author dzx
* @Date: 2023-11-30
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class SchoolRollStudentPageDto extends PageInput {

    @ApiModelProperty("学籍异动类型")
    private String scholarshipSource;

    @ApiModelProperty("异动原因id")
    private Long schoolRollReasonId;

    @ApiModelProperty("学生姓名")
    private String name;

//    @ApiModelProperty("学号")
//    private String studentId;
//
//    @ApiModelProperty("证件号")
//    private String credentialNumber;
//
//    @ApiModelProperty("异动前班级")
//    private Long beforeClassName;

}
