package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 学生职务设置
* @Author dzx
* @Date: 2023-11-13
* @Version 1.0
*/
@Data
public class UpdateBaseStudentInfoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 学习形式
    */
    @ApiModelProperty("学习形式")
    private String rollModality;
    /**
     * 学籍状态(xjr_dictionary_item[archives_status])
     */
    @ApiModelProperty("学籍状态(xjr_dictionary_item[archives_status])")
    private String archivesStatus;
    /**
     * 就读方式(xjr_dictionary_item[stduy_status])
     */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatus;

    @ApiModelProperty("学生userIds")
    private List<Long> userIds;
}
