package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.BaseStudentScholarshipApplicantCategoryPageDto;
import com.xjrsoft.module.student.entity.BaseStudentScholarshipApplicant;
import com.xjrsoft.module.student.vo.BaseStudentScholarshipApplicantCategoryPageVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 奖学金申请
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Mapper
public interface BaseStudentScholarshipApplicantMapper extends MPJBaseMapper<BaseStudentScholarshipApplicant> {
    /**
     * app分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentScholarshipApplicantCategoryPageVo> getScholarshiPage(Page<BaseStudentScholarshipApplicantCategoryPageDto> page, BaseStudentScholarshipApplicantCategoryPageDto dto);
}
