package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.SchoolRollStudentPageDto;
import com.xjrsoft.module.student.entity.SchoolRollStudent;
import com.xjrsoft.module.student.vo.SchoolRollStudentPageVo;
import com.xjrsoft.module.student.vo.SchoolRollStudentVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 学籍异动学生
* @Author dzx
* @Date: 2023-11-30
* @Version 1.0
*/
@Mapper
public interface SchoolRollStudentMapper extends MPJBaseMapper<SchoolRollStudent> {
    Page<SchoolRollStudentPageVo> getPage(Page<SchoolRollStudentPageVo> page, SchoolRollStudentPageDto dto);

    SchoolRollStudentVo getInfo(Long id);
}
