package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.BaseStudentScholarshipApplicantCategoryPageDto;
import com.xjrsoft.module.student.entity.BaseStudentScholarshipApplicant;
import com.xjrsoft.module.student.vo.BaseStudentScholarshipApplicantCategoryPageVo;

/**
* @title: 奖学金申请
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/

public interface IBaseStudentScholarshipApplicantService extends MPJBaseService<BaseStudentScholarshipApplicant> {

    /**
     * 流程数据处理
     *
     * @return
     */
    Boolean processDataHandler(Long dataId);

    /**
     * app分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentScholarshipApplicantCategoryPageVo> getScholarshiPage(Page<BaseStudentScholarshipApplicantCategoryPageDto> page, BaseStudentScholarshipApplicantCategoryPageDto dto);

}
