package com.xjrsoft.module.student.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.student.dto.QuotaFormulaRulePageDto;
import com.xjrsoft.module.student.entity.QuotaFormulaRule;
import com.xjrsoft.module.student.mapper.QuotaFormulaRuleMapper;
import com.xjrsoft.module.student.service.IQuotaFormulaRuleService;
import com.xjrsoft.module.student.vo.QuotaFormulaRulePageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
* @title: 指标公式规则管理
* @Author szs
* @Date: 2024-01-29
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class QuotaFormulaRuleServiceImpl extends MPJBaseServiceImpl<QuotaFormulaRuleMapper, QuotaFormulaRule> implements IQuotaFormulaRuleService {
    private final QuotaFormulaRuleMapper quotaFormulaRuleMapper;
    @Override
    public Page<QuotaFormulaRulePageVo> getPage(Page<QuotaFormulaRulePageDto> page, QuotaFormulaRulePageDto dto) {
        return quotaFormulaRuleMapper.getPage(page, dto);
    }
}
