package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @title: 学生处分信息管理分页列表出参（移动端）
 * @Author dzx
 * @Date: 2023-11-15
 * @Version 1.0
 */
@Data
public class BaseStudentPunishmentInfoMobilePageVo {

    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    private String id;

    /**
     * 处分类型
     */
    @ApiModelProperty("处分类型")
    private String punishmentType;

    /**
     * 处分开始时间
     */
    @ApiModelProperty("处分开始时间")
    private String startTime;

    /**
     * 处分原因
     */
    @ApiModelProperty("处分原因")
    private String reason;


    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("证件号")
    private String credentialNumber;

}
