package com.xjrsoft.module.student.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
* @title: 班级荣誉分页列表学期班级树出参
* @Author szs
* @Date: 2023-12-06
* @Version 1.0
*/
@Data
public class ClassHonorsSemesterClassTreeVo implements ITreeNode<ClassHonorsSemesterClassTreeVo,Long>, Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("名字")
    private String name;

    @ApiModelProperty("父级id")
    private Long parentId;

    private List<ClassHonorsSemesterClassTreeVo> children;
}
