package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 分页列表出参
* @Author dzx
* @Date: 2024-03-13
* @Version 1.0
*/
@Data
public class PbVXssfdetailPageVo {

    @ApiModelProperty("学生id")
    private Long userId;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("学生姓名")
    private String name;

    @ApiModelProperty("性别中文")
    private String genderCn;

    @ApiModelProperty("学期")
    private String semesterName;

    @ApiModelProperty("收费项目")
    private String feeitemname;

    @ApiModelProperty("支付类型")
    private String paytype;

    @ApiModelProperty("订单号（唯一主键）")
    private String payorder;

    @ApiModelProperty("支付时间")
    private String paydate;

    @ApiModelProperty("支付金额")
    private Double mny;

    @ApiModelProperty("类型")
    private String category;

    @ApiModelProperty("学籍状态")
    private String state;

}
