package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 考核表单属性分页列表出参
* @Author szs
* @Date: 2024-01-29
* @Version 1.0
*/
@Data
public class QuotaFormulaRuleAttributePageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 属性名称
    */
    @ApiModelProperty("属性名称")
    private String name;
    /**
    * 属性值
    */
    @ApiModelProperty("属性值")
    private String formula;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
