package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学籍异动原因表单出参
* @Author szs
* @Date: 2023-11-29
* @Version 1.0
*/
@Data
public class SchoolRollReasonVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 原因
    */
    @ApiModelProperty("原因")
    private String reason;
    /**
    * 学籍异动类别ID(school_roll_category)
    */
    @ApiModelProperty("学籍异动类别ID(school_roll_category)")
    private Long schoolRollCategoryId;
    /**
     * 学籍异动类别ID中文(school_roll_category)
     */
    @ApiModelProperty("学籍异动类别中文ID(school_roll_category)")
    private String schoolRollCategoryIdCN;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;



}
