package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 学籍异动学生分页列表出参
* @Author dzx
* @Date: 2023-11-30
* @Version 1.0
*/
@Data
public class SchoolRollStudentPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生名字
    */
    @ApiModelProperty("学生名字")
    private String name;
    /**
    * 证件号
    */
    @ApiModelProperty("证件号")
    private String credentialNumber;
    /**
    * 学籍异动类型-中文
    */
    @ApiModelProperty("学籍异动类型-中文")
    private String scholarshipSourceCn;

    /**
     * 学籍异动类型
     */
    @ApiModelProperty("学籍异动类型")
    private String scholarshipSource;

    /**
    * 异动前班级
    */
    @ApiModelProperty("异动前班级")
    private String beforeClassName;
    /**
    * 异动后班级
    */
    @ApiModelProperty("异动后班级")
    private String backClassName;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 入班时间
    */
    @ApiModelProperty("入班时间")
    private Date inClassDate;
    /**
    * 离班时间
    */
    @ApiModelProperty("离班时间")
    private Date outClassDate;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("申请人姓名")
    private String applicantUserName;

}
