package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 班级专业方向表表单出参
* @Author szs
* @Date: 2023-12-28
* @Version 1.0
*/
@Data
public class StudentPersonalInfoVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long userId;
    /**
    * 学生姓名
    */
    @ApiModelProperty("学生姓名")
    private String name;
    /**
    * 性别中文
    */
    @ApiModelProperty("性别中文")
    private String genderCn;
    /**
    * 班级名称
    */
    @ApiModelProperty("班级名称")
    private String className;
    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    private String classId;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String credentialNumber;
    /**
    * 出生日期
    */
    @ApiModelProperty("出生日期")
    private Date birthDate;
    /**
    * 本人手机号
    */
    @ApiModelProperty("本人手机号")
    private String mobile;

    @ApiModelProperty("学籍状态中文")
    private String archivesStatusCn;

    @ApiModelProperty("学习形式中文")
    private String rollModalityCn;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("专业方向名称")
    private String majorSetName;

    @ApiModelProperty("就读方式")
    private String stduyStatusCn;


    @ApiModelProperty("班主任名称")
    private String teacherName;


    @ApiModelProperty("班主任电话")
    private String teacherPhone;


    @ApiModelProperty("床位编号")
    private String bedNumber;

    @ApiModelProperty("寝室名称")
    private String roomName;

    @ApiModelProperty("楼栋名称")
    private String buildName;

    @ApiModelProperty("是否低保户(1:是 0:否)")
    private Integer isIndemnify;

    @ApiModelProperty("监护人电话")
    private String guardianPhone;

}
