package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 系统消息通知表
* @Author brealinxx
* @Date: 2024-04-17
* @Version 1.0
*/
@Data
public class AddSystemUpdateMessageNoticeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 系统消息（system_update_message）
    */
    @ApiModelProperty("系统消息（system_update_message）")
    private Long systemUpdateMessageId;
    /**
    * 用户id（xjr_user）
    */
    @ApiModelProperty("用户id（xjr_user）")
    private String userId;
    /**
    * 状态（0：未读，1：已读）
    */
    @ApiModelProperty("状态（0：未读，1：已读）")
    private Integer status;

}
