package com.xjrsoft.module.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 菜单部门关联表
* @Author brealinxx
* @Date: 2024-04-09
* @Version 1.0
*/
@Data
@TableName("xjr_menu_dept_relation")
@ApiModel(value = "xjr_menu_dept_relation", description = "菜单部门关联表")
public class XjrMenuDeptRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 菜单id
    */
    @ApiModelProperty("菜单id")
    private Long menuId;
    /**
    * 部门id
    */
    @ApiModelProperty("部门id")
    private Long deptId;


}