package com.xjrsoft.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.evaluate.dto.EvaluateTemplatePageDto;
import com.xjrsoft.module.evaluate.vo.EvaluateTemplatePageVo;
import com.xjrsoft.module.system.dto.XjrMenuDeptRelationPageDto;
import com.xjrsoft.module.system.entity.XjrMenuDeptRelation;
import com.xjrsoft.module.system.vo.XjrMentDeptGroupVo;
import com.xjrsoft.module.system.vo.XjrMenuDeptRelationPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 菜单部门关联表
* @Author brealinxx
* @Date: 2024-04-09
* @Version 1.0
*/
@Mapper
public interface XjrMenuDeptRelationMapper extends MPJBaseMapper<XjrMenuDeptRelation> {
    Page<XjrMenuDeptRelationPageVo> getPage(Page<XjrMenuDeptRelationPageDto> page,  @Param("list")List<String> list);

    List<XjrMentDeptGroupVo> getMenuDept();
}
