package com.xjrsoft.module.system.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.system.dto.SystemUpdateMessagePageDto;
import com.xjrsoft.module.system.entity.SystemUpdateMessage;
import com.xjrsoft.module.system.mapper.SystemUpdateMessageMapper;
import com.xjrsoft.module.system.service.ISystemUpdateMessageService;
import com.xjrsoft.module.system.vo.SystemUpdateMessagePageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;

/**
* @title: 系统消息
* @Author brealinxx
* @Date: 2024-04-17
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class SystemUpdateMessageServiceImpl extends MPJBaseServiceImpl<SystemUpdateMessageMapper, SystemUpdateMessage> implements ISystemUpdateMessageService {
    private final SystemUpdateMessageMapper systemUpdateMessageMapper;

    @Override
    public Page<SystemUpdateMessagePageVo> getPage(Page<Object> objectPage, SystemUpdateMessagePageDto dto) {
        return systemUpdateMessageMapper.getPage(objectPage, dto);
    }
}
