package com.xjrsoft.module.system.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author: tzx
 * @Date: 2022/7/28 9:32
 */
@Data
public class FileVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("文件主键")
    private Long id;

    @ApiModelProperty("附件夹主键")
    private Long folderId;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("文件路径")
    private String fileUrl;

    @ApiModelProperty("文件大小")
    private Long fileSize;

    @ApiModelProperty("文件后缀")
    private String fileSuffiex;

    @ApiModelProperty("文件类型")
    private String fileType;


    @ApiModelProperty("缩略图名称")
    private String thName;

    @ApiModelProperty("缩略图路径")
    private String thUrl;

    @ApiModelProperty("缩略图文件大小")
    private Long thSize;

    @ApiModelProperty("缩略图文件类型")
    private String thType;

    @ApiModelProperty("下载次数")
    private Integer downloadCount;

    @ApiModelProperty("备注")
    private String remark;


}
