package com.xjrsoft.module.system.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: tzx
 * @Date: 2023/4/21 14:21
 */
@Data
public class LoginVo {

    /**
     * token
     */
    private String token;

    /**
     * 用户类型 0=未匹配 1=超级管理员 2=教师 3=学生 4=家长
     */
    private Long userType;

    @ApiModelProperty("是否需要修改密码（1:需要 0:不需要）")
    private Integer isChangePassword;

    /**
     * 跳转地址
     */
    private String redirectUri;

    @ApiModelProperty("签名地址")
    private String signUrl;

    @ApiModelProperty("签名文件id")
    private Long signFolderId;
}
