package com.xjrsoft.module.system.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 系统消息通知表分页列表出参
* @Author brealinxx
* @Date: 2024-04-17
* @Version 1.0
*/
@Data
public class SystemUpdateMessageNoticePageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer enabledMark;
    /**
    * 系统消息（system_update_message）
    */
    @ApiModelProperty("系统消息（system_update_message）")
    private Long systemUpdateMessageId;
    /**
    * 用户id（xjr_user）
    */
    @ApiModelProperty("用户id（xjr_user）")
    private String userId;
    /**
    * 状态（0：未读，1：已读）
    */
    @ApiModelProperty("状态（0：未读，1：已读）")
    private Integer status;

}
