package com.xjrsoft.module.system.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 菜单部门关联表分页列表出参
* @Author brealinxx
* @Date: 2024-04-09
* @Version 1.0
*/
@Data
public class XjrMenuDeptRelationPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer enabledMark;
    /**
    * 菜单id
    */
    @ApiModelProperty("菜单id")
    private Long menuId;
    /**
    * 部门id
    */
    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("菜单中文")
    private String menuName;

    @ApiModelProperty("部门中文")
    private String deptName;

}
