package com.xjrsoft.module.teacher.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.teacher.dto.AttendancePersonnelPageDto;
import com.xjrsoft.module.teacher.dto.SelectPersonPageDto;
import com.xjrsoft.module.teacher.entity.AttendancePersonnel;
import com.xjrsoft.module.teacher.vo.AttendancePersonnelPageVo;
import com.xjrsoft.module.teacher.vo.SelectPersonPageVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 考勤-人员
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/
@Mapper
public interface AttendancePersonnelMapper extends MPJBaseMapper<AttendancePersonnel> {

    IPage<AttendancePersonnelPageVo> getListPage(IPage<AttendancePersonnelPageDto> page,AttendancePersonnelPageDto dto);

    IPage<SelectPersonPageVo> selectPersonPage(IPage<SelectPersonPageDto> page, SelectPersonPageDto dto);

}
