package com.xjrsoft.module.teacher.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.room.dto.RoomBedPageDto;
import com.xjrsoft.module.teacher.dto.TeacherAwardStatisticsPageDto;
import com.xjrsoft.module.teacher.entity.TeacherAwardItem;
import com.xjrsoft.module.teacher.vo.TeacherAwardItemVo;
import com.xjrsoft.module.teacher.vo.TeacherAwardStatisticsPageVo;

import java.util.List;

/**
* @title: 教师奖项
* @Author dzx
* @Date: 2024-06-04
* @Version 1.0
*/

public interface ITeacherAwardItemService extends MPJBaseService<TeacherAwardItem> {

    Page<TeacherAwardStatisticsPageVo> getStatisticsPage(Page<TeacherAwardStatisticsPageVo> page, TeacherAwardStatisticsPageDto dto);

    List<TeacherAwardItemVo> getTeacherAwardItemTree(Integer isThesis);

}
