package com.xjrsoft.module.teacher.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.common.page.ConventPage;
import com.xjrsoft.module.teacher.dto.WfHeadTeacherLeavePageDto;
import com.xjrsoft.module.teacher.entity.WfHeadTeacherLeave;
import com.xjrsoft.module.teacher.mapper.WfHeadTeacherLeaveMapper;
import com.xjrsoft.module.teacher.service.IWfHeadTeacherLeaveService;
import com.xjrsoft.module.teacher.vo.WfHeadTeacherLeavePageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
* @title: 班主任事项请假
* @Author szs
* @Date: 2023-12-19
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class WfHeadTeacherLeaveServiceImpl extends MPJBaseServiceImpl<WfHeadTeacherLeaveMapper, WfHeadTeacherLeave> implements IWfHeadTeacherLeaveService {

    private final WfHeadTeacherLeaveMapper wfHeadTeacherLeaveMapper;

    @Override
    public IPage<WfHeadTeacherLeavePageVo> getListPage(WfHeadTeacherLeavePageDto dto) {
        return wfHeadTeacherLeaveMapper.getListPage(ConventPage.getPage(dto),dto);
    }
}
