package com.xjrsoft.module.teacher.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;

/**
* @title: 考勤-配置表单出参
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/
@Data
public class AttendanceConfigVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 考勤时间
    */
    @ApiModelProperty("考勤时间")
    private LocalTime attendanceTime;
    /**
    * 考勤节点(xjr_dictionary_item[attendance_node])
    */
    @ApiModelProperty("考勤节点(xjr_dictionary_item[attendance_node])")
    private String leaveReason;
    /**
    * 地点
    */
    @ApiModelProperty("地点")
    private String address;
    /**
    * 经度
    */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
    * 纬度
    */
    @ApiModelProperty("纬度")
    private Double latitude;
    /**
    * 范围（米）
    */
    @ApiModelProperty("范围（米）")
    private Integer attendanceRange;



}
