package com.xjrsoft.module.teacher.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 表单出参
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
public class BaseTeacherContactVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 用户ID(xjr_user)
    */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
    * 办公室电话
    */
    @ApiModelProperty("办公室电话")
    private String officeTel;
    /**
    * 办公室地址
    */
    @ApiModelProperty("办公室地址")
    private String officeAddress;
    /**
    * 现住地址
    */
    @ApiModelProperty("现住地址")
    private String address;
    /**
    * QQ&MSN
    */
    @ApiModelProperty("QQ&MSN")
    private String qqMsn;
    /**
    * 微信号
    */
    @ApiModelProperty("微信号")
    private String wechat;
    /**
    * 微博地址
    */
    @ApiModelProperty("微博地址")
    private String microblog;
    /**
    * 住址邮编
    */
    @ApiModelProperty("住址邮编")
    private String zipCode;



}
