package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 学科组管理
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class AddSubjectGroupDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 组名
    */
    @ApiModelProperty("组名")
    private String groupName;
    /**
    * 组长用户编号
    */
    @ApiModelProperty("组长用户编号")
    private Long leaderUserId;
    /**
     * 学科组课程管理信息
     */
    @ApiModelProperty("学科组课程管理信息")
    private List<Long> subjectGroupCourseIds;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
