package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 教材领取人员
* @Author dzx
* @Date: 2023-12-29
* @Version 1.0
*/
@Data
public class AddTextbookClaimUserDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材申领编号
    */
    @ApiModelProperty("教材申领编号")
    private Long wfTextbookClaimId;
    /**
    * 用户编号
    */
    @ApiModelProperty("用户编号")
    private Long userId;
    /**
    * 用户类型（1：学生 2=教师）
    */
    @ApiModelProperty("用户类型（1：学生 2=教师）")
    private Integer userType;

}
