package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 教材申领项
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class AddWfTextbookClaimItemDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材申领编号
    */
    @ApiModelProperty("教材申领编号")
    private Long wfTextbookClaimId;
    /**
    * 教材管理编号
    */
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
    * 申请数量
    */
    @ApiModelProperty("申请数量")
    private Integer applicantNumber;
    /**
    * 已发放数量
    */
    @ApiModelProperty("已发放数量")
    private Integer issueNumber;

}
