package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 学科组管理
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class DeleteCourseToSubjectGroupDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 学科组管理编号(subject_group)
    */
    @ApiModelProperty("学科组管理编号(subject_group)")
    private Long subjectGroupId;
    /**
    * 课程编号(base_course_subject)
    */
    @ApiModelProperty("课程编号(base_course_subject)")
    private List<Long> courseSubjectIds;

}
