package com.xjrsoft.module.textbook.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学科组管理分页查询入参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class SubjectGroupPageDto extends PageInput {
    /**
     * 组名
     */
    @ApiModelProperty("组名")
    private String groupName;
    /**
     * 组长用户编号
     */
    @ApiModelProperty("组长用户编号")
    private Long leaderUserId;

}
