package com.xjrsoft.module.textbook.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
* @title: 教师教材领取按班级查看页面
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TeacherCheckByclassDto extends PageInput {
    /**
     * 班级编号
     */
    @ApiModelProperty(value = "班级编号")
    private List<Long> classIdList;
    /**
     * 领取情况（1=全部数据，2=该教材全部领取，3=该教材部分未领取）
     */
    @ApiModelProperty("领取情况（1=全部数据，2=该教材全部领取，3=该教材部分未领取）")
    private Integer claimStatus;
}
