package com.xjrsoft.module.textbook.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生教材认领确定页入参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TextbookClaimStudentConfirmDto extends PageInput {

    /**
     * 学期ID(base_semester)
     */
    @ApiModelProperty(value = "学期ID(base_semester)",required = true)
    private Long baseSemesterId;
    /**
     * 当前用户的id
     */
    @ApiModelProperty(value = "当前用户的id",hidden = true)
    private Long studentUserId;
    /**
     * 查看还是确认（1 = 查看，2 = 确认）
     */
    @ApiModelProperty(value = "查看还是确认（1 = 查看，2 = 确认）",required = true)
    private Integer showOrConfirm;
}
