package com.xjrsoft.module.textbook.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
* @title: 教材管理分页查询入参(学生收费管理用)
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookConsumptionPageDto extends PageInput {
    /**
     * 班级
     */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级")
    private Long classId;

    @ApiModelProperty("学期id")
    public Long baseSemesterId;
}
