package com.xjrsoft.module.textbook.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生教材认领记录分页查询入参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TextbookStudentClaimPageDto extends PageInput {

    /**
     * 学期ID(base_semester)
     */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;

    /**
     * 学生用户编号
     */
    @ApiModelProperty("学生用户编号")
    private Long studentUserId;
}
