package com.xjrsoft.module.textbook.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
* @title: 教材管理分页查询入参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookSubscriptionHistoryListDto {
    /**
     * 学期ID(base_semester)
     */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
     * 教材编号
     */
    @ApiModelProperty("教材编号")
    private Long textbookId;
}
