package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教师查看一本教材的学生领取情况页面出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TeacherCheckStuClaimVo {

    /**
     * 学生教材认领主键编号
     */
    @ApiModelProperty("学生教材认领主键编号")
    private Long textbookStudentClaimId;
    /**
    * 教材主键编号
    */
    @ApiModelProperty("教材主键编号")
    private Long textbookId;
    /**
     * 教材名称
     */
    @ApiModelProperty("教材名称")
    private String bookName;
    /**
     * 学生id
     */
    @ApiModelProperty("学生id")
    private Long studentUserId;
    /**
     * 学生学号
     */
    @ApiModelProperty("学生学号")
    private String studentId;
    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    private String studentName;
    /**
    * 是否领取（1:已领取 0:未领取）
    */
    @ApiModelProperty("是否领取（1:已领取 0:未领取）")
    private Integer isClaim;
}
