package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 学生教材认领记录出参-确认领取页面
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TextbookClaimVO {

    /**
     * 学生id
     */
    @ApiModelProperty("学生id")
    private Long studentUserId;
    /**
     * 学生教材认领主键编号
     */
    @ApiModelProperty("学生教材认领主键编号")
    private Long textbookStudentClaimId;
    /**
     * 序号
     */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
     * 教材管理编号
     */
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
     * 书名
     */
    @ApiModelProperty("书名")
    private String bookName;
    /**
     * 定价(元)
     */
    @ApiModelProperty("定价(元)")
    private BigDecimal price;
    /**
     * 折后价格
     */
    @ApiModelProperty("折后价格")
    private BigDecimal discountPrice;
    /**
     * 是否领取（1:已领取 0:未领取）
     */
    @ApiModelProperty("是否领取（1:已领取 0:未领取）")
    private Integer isClaim;
}
