package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 教材入库表单出参
* @Author dzx
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TextbookIssueRecordListVo {

    /**
    * 出库时间
    */
    @ApiModelProperty("出库时间")
    private Date issueDate;
    /**
    * 出库人员
    */
    @ApiModelProperty("出库人员")
    private String issueUser;
    /**
    * 出库数量
    */
    @ApiModelProperty("出库数量")
    private Integer issueNumber;
    /**
    * 出库方式
    */
    @ApiModelProperty("出库方式")
    private String issueMode;

    /**
     * 出库方式
     */
    @ApiModelProperty("去处")
    private String remark;



}
