package com.xjrsoft.module.workflow.service.impl;

import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.workflow.entity.WorkflowDraft;
import com.xjrsoft.module.workflow.mapper.WorkflowDraftMapper;
import com.xjrsoft.module.workflow.mapper.WorkflowExtraMapper;
import com.xjrsoft.module.workflow.service.IWorkflowDraftService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author tzx
 * @since 2023-10-11
 */
@Service
@AllArgsConstructor
public class WorkflowDraftServiceImpl extends MPJBaseServiceImpl<WorkflowDraftMapper, WorkflowDraft> implements IWorkflowDraftService {
    private final WorkflowExtraMapper workflowExtraMapper;
    @Override
    public void deleteFormData(String tableName, String dataId) {
        workflowExtraMapper.deleteFormData(tableName, dataId);
    }
}
