package com.xjrsoft.module.workflow.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 待办任务vo
 * @Author: tzx
 * @Date: 2022/10/11 10:20
 */
@Data
public class PendingTaskVo {
    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("流水号")
    private Long serialNumber;

    @ApiModelProperty("任务id")
    private String taskId;

    @ApiModelProperty("流程名称")
    private String processName;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("任务key")
    private String taskKey;

    @ApiModelProperty("当前进度")
    private Integer currentProgress;

    private Long schemaId;

    private String schemaName;

    @ApiModelProperty("流程id")
    private String processId;

    @ApiModelProperty("发起人id")
    private Long startUserId;

    @ApiModelProperty("发起人名称")
    private String startUserName;

    @ApiModelProperty("创建时间")
    private LocalDateTime startTime;

    @ApiModelProperty("审批时间")
    private LocalDateTime endTime;

    @ApiModelProperty("任务发起时间")
    private LocalDateTime launchTime;

    @ApiModelProperty("审批人id")
    private String approveUserIds;

    @ApiModelProperty("驳回状态")
    private String rejectState;
}
