package com.xjrsoft.module.workflow.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date: 2022/11/8 16:10
 */
@Data
public class ProcessRecordListVo {

    /**
     * 节点类型
     */
    private String nodeType;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 审批信息
     */
    private String comment;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss[.SSS]")
    private LocalDateTime startTime;
    /**
     * 传阅信息
     */
    private String circulateMessage;

    @ApiModelProperty("是否显示该节点")
    private Boolean showNode;


}
