package com.xjrsoft.module.workflow.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date: 2022/11/8 16:10
 */
@Data
public class UserDefinedProcessRecordListVo extends ProcessRecordListVo{

    @ApiModelProperty("审批结果")
    private String approveResult;

    @ApiModelProperty("审批内容")
    private String approveComment;

    @ApiModelProperty("审批人姓名")
    @TableField(exist = false)
    private String approveUserName;

    @ApiModelProperty("是否是驳回信息（0：是 1：否）")
    private Integer isReject;
}
