package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author: dzx
 * @Date: 2024年5月30日
 */
@Data
@Component
@ConfigurationProperties("xjrsoft.hikvision")
public class HikvisionConfig {

    private String host;

    private String appKey;

    private String appSecret;

    private String peopleUrl;

    private String carUrl;

    private String visitUrl;
}
