package com.xjrsoft.module.assessment.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


/**
* @title: 考核答题提交入参
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class AssessmentPlanAnswerStudentDto extends PageInput {


    @ApiModelProperty("考核计划id")
    private Long assessmentTemplatePlanId;

    @ApiModelProperty("状态(0:未填写 1:已填写)")
    private Integer submitStatus;

    @ApiModelProperty("班主任id")
    private Long teacherId;

}
