package com.xjrsoft.module.assessment.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;


/**
* @title: 考核答题提交入参
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class AssessmentPlanAnswerSubmitDto implements Serializable {


    @ApiModelProperty("问题id")
    private Long questionId;

    @ApiModelProperty("状态(0:未发布 1:已发布)")
    private String answerId;

}
