package com.xjrsoft.module.assessment.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.assessment.dto.AssessmentQuestionResultDto;
import com.xjrsoft.module.assessment.entity.AssessmentPlanAnswerResult;
import com.xjrsoft.module.assessment.vo.AssessmentPlanAnswerClassResultVo;
import com.xjrsoft.module.assessment.vo.AssessmentPlanAnswerDetailVo;
import com.xjrsoft.module.assessment.vo.AssessmentQuestionResultVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 考核计划答题参与班级
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Mapper
public interface AssessmentPlanAnswerResultMapper extends MPJBaseMapper<AssessmentPlanAnswerResult> {

    List<AssessmentQuestionResultVo> getResultList(@Param("dto") AssessmentQuestionResultDto dto);

    List<AssessmentPlanAnswerClassResultVo> getClassResult(Long id);

    List<AssessmentPlanAnswerDetailVo> getQuestionResult(Long id);

    List<AssessmentPlanAnswerDetailVo> getScaleQuestionResult(Long id);
}
