package com.xjrsoft.module.assessment.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 考核计划分页列表出参
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
public class AssessmentTemplatePlanPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;
    /**
    * 计划开始时间
    */
    @ApiModelProperty("计划开始时间")
    private Date startTime;
    /**
    * 计划结束时间
    */
    @ApiModelProperty("计划结束时间")
    private Date endTime;
    /**
    * 状态(0:未发布 1:已发布)
    */
    @ApiModelProperty("状态(0:未发布 1:已发布)")
    private Integer status;
    /**
    * 考核模板id(assessment_template)
    */
    @ApiModelProperty("考核模板id(assessment_template)")
    private Long assessmentTemplateId;

    /**
     * 考核模板id(assessment_template)
     */
    @ApiModelProperty("考核模板名称(assessment_template)")
    private String assessmentTemplateName;

    /**
     * 选人方式
     */
    @ApiModelProperty("选人方式(全部：all 随机：random)")
    private String type;

    /**
     * 随机人数
     */
    @ApiModelProperty("随机人数")
    private Integer randomNumber;

    @ApiModelProperty("已提交数量")
    private Integer submittedCount;

    @ApiModelProperty("未提交数量")
    private Integer unsubmittedCount;

    @ApiModelProperty("总人数")
    private Integer allCount;

}
