package com.xjrsoft.module.assessment.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
* @title: 二级题目
* @Author dzx
* @Date: 2024年4月9日
* @Version 1.0
*/
@Data
public class TwoQuestionVo implements Serializable {

    @ApiModelProperty("")
    private Long id;

    @ApiModelProperty("题目题干")
    private String name;

    @ApiModelProperty("分数")
    private Long score;

    @ApiModelProperty("题目类型")
    private String type;

    @ApiModelProperty("小题是否必填(1:是 0:否)")
    private Short required;

    @ApiModelProperty("数量")
    private Integer count;

    @ApiModelProperty("选项")
    private List<AssessmentQuestionOptionResultVo> resultList;

}
