package com.xjrsoft.module.asset.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 资产管理分页列表出参
* @Author dzx
* @Date: 2024-03-28
* @Version 1.0
*/
@Data
public class WfAssetManagePageVo {
    /**
     *
     */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 资产类型
    */
    @ApiModelProperty("资产类型")
    private String assetType;
    /**
     * 资产类型
     */
    @ApiModelProperty("资产类型")
    private String assetTypeCn;
    /**
    * 资产类别
    */
    @ApiModelProperty("资产类别")
    private String assetCategory;
    /**
     * 资产类别
     */
    @ApiModelProperty("资产类别")
    private String assetCategoryCn;
    /**
    * 资产种类
    */
    @ApiModelProperty("资产种类")
    private String assetSpecies;
    /**
     * 资产种类
     */
    @ApiModelProperty("资产种类")
    private String assetSpeciesCn;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 所属部门[xjr_department]
    */
    @ApiModelProperty("所属部门[xjr_department]")
    private Long deptId;
    /**
     * 所属部门[xjr_department]
     */
    @ApiModelProperty("所属部门[xjr_department]")
    private String deptIdCn;
    /**
    * 使用人id[xjr_user]
    */
    @ApiModelProperty("使用人id[xjr_user]")
    private Long userId;
    /**
     * 使用人id[xjr_user]
     */
    @ApiModelProperty("使用人id[xjr_user]")
    private String userIdCn;
    /**
    * 金额
    */
    @ApiModelProperty("金额")
    private BigDecimal amount;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Short status;
}
