package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* @title: 访客信息
* @Author dzx
* @Date: 2024年5月27日
* @Version 1.0
*/
@Data
public class VisitorInfoVo {

    @ApiModelProperty("访客姓名")
    private String name;

    @ApiModelProperty("访客身份证")
    private String identityCard;

    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("被访人")
    private String respondentUserName;

    @ApiModelProperty("被访部门")
    private String deptName;

    @ApiModelProperty("到访结束时间")
    private LocalDateTime endTime;

    @ApiModelProperty("到访开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("申请时间")
    private LocalDateTime createDate;

    @ApiModelProperty("进校事由")
    private String reason;

}
