package com.xjrsoft.module.base.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
* @title: 班级管理列表
* @Author dzx
* @Date: 2024年4月28日
* @Version 1.0
*/
@Data
public class BaseClassPageVo {

    @ApiModelProperty("班级id")
    private String id;

    @ApiModelProperty("班级名称")
    private String name;

    @ApiModelProperty("班级代码")
    private String code;

    @ApiModelProperty("入住性别")
    private String gradeName;

    @ApiModelProperty("教师名称")
    private String classroomName;

    @ApiModelProperty("班主任名字")
    private String teacherName;

    @ApiModelProperty("招生类型-中文")
    private String enrollTypeCn;

    @ApiModelProperty("男生人数")
    private Integer maleCout;

    @ApiModelProperty("女生人数")
    private Integer femaleCount;

    @ApiModelProperty("住校数量")
    private Integer stayCount;

    @ApiModelProperty("走读数量")
    private Integer notStayCount;

    @ApiModelProperty("班级类型")
    private String classTypeCn;

    @ApiModelProperty("机构名称")
    private String orgName;

}
