package com.xjrsoft.module.concat.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author dzx
 * @date 2024/1/29
 */
@Data
public class ConcatTreeVo implements ITreeNode<ConcatTreeVo, Long>, Serializable {

    @ApiModelProperty("名字")
    private String name;

    @ApiModelProperty("电话")
    private String mobile;

    @ApiModelProperty("id(type=1时为部门id)")
    private Long id;

    @ApiModelProperty("disabled")
    private Long parentId;

    @ApiModelProperty("children")
    private List<ConcatTreeVo> children;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("类别（1:部门 2:教室）")
    private Integer type;

}
