package com.xjrsoft.module.courseTable.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CourseTableParse {
    @ApiModelProperty("学期")
    private String semester;

    @ApiModelProperty("星期")
    private String weeksCn;

    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private int timePeriod;

    @ApiModelProperty("节次")
    private int timeNumber;

    @ApiModelProperty("场地名称")
    private String siteName;

    @ApiModelProperty("教师名称")
    private String teacherName;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("班级名称")
    private String className;
}
