package com.xjrsoft.module.dataexpert.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.dataexpert.entity.DataExpertTemplate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
* @title: 数据导出-数据模板
* @Author dzx
* @Date: 2024-04-19
* @Version 1.0
*/
@Mapper
public interface DataExpertTemplateMapper extends MPJBaseMapper<DataExpertTemplate> {

    @Select("select #{fields} from #{viewName}")
    List<String[]> getDataList(@Param("fields") String fields, @Param("viewName") String viewName);
}
