package com.xjrsoft.module.dataexpert.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 数据导出-数据源设置表单出参
* @Author dzx
* @Date: 2024-04-19
* @Version 1.0
*/
@Data
public class DataExpertSourceVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 数据源名称
    */
    @ApiModelProperty("数据源名称")
    private String name;
    /**
    * 数据源类型
    */
    @ApiModelProperty("数据源类型")
    private String sourceType;
    /**
    * magicapi地址
    */
    @ApiModelProperty("magicapi地址")
    private String apiUrl;

    @ApiModelProperty("字段配置")
    private String fieldJson;

}
