package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 评价结果
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class AddEvaluateResultDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 评价项编号
    */
    @ApiModelProperty("评价项编号")
    private Long evaluateItemId;
    /**
    * 评价分数
    */
    @ApiModelProperty("评价分数")
    private Integer score;
    /**
    * 建议/意见
    */
    @ApiModelProperty("建议/意见")
    private String opinion;

}
