package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 评价管理分页查询入参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateResultSaveDto implements Serializable {
    /**
     * 评价提交记录id
     */
    @ApiModelProperty("评价提交记录id")
    private String evaluateSubmitRecordId;
    /**
     * 评价类型
     */
    @ApiModelProperty(value = "评价类型")
    private String evaluateType;

    @ApiModelProperty(value = "提交类型：1=暂存，2=提交")
    private Integer submitType;

    @ApiModelProperty(value = "填写答案信息")
    private List<AddEvaluateResultDto> resultList;
}
