package com.xjrsoft.module.evaluate.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.evaluate.dto.EvaluateObjectGradeListDto;
import com.xjrsoft.module.evaluate.dto.EvaluateObjectListDto;
import com.xjrsoft.module.evaluate.dto.ObjectGradeDeleteDto;
import com.xjrsoft.module.evaluate.dto.SaveEvaluateObjectDto;
import com.xjrsoft.module.evaluate.entity.EvaluateObject;
import com.xjrsoft.module.evaluate.vo.EvaluateObjectGradeListVo;
import com.xjrsoft.module.evaluate.vo.EvaluateObjectListVo;

import java.util.List;

/**
* @title: 评价管理
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/

public interface IEvaluateObjectService extends MPJBaseService<EvaluateObject> {

    List<EvaluateObjectListVo> getObjectList(EvaluateObjectListDto dto);

    List<EvaluateObjectGradeListVo> getObjectGradeList(EvaluateObjectGradeListDto dto);

    Boolean objectGradeDelete(ObjectGradeDeleteDto dto);

    Boolean save(SaveEvaluateObjectDto dto);

    List<EvaluateObjectListVo> getNewObjectList(EvaluateObjectListDto dto);
}
