package com.xjrsoft.module.evaluate.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.evaluate.dto.AddEvaluateTemplateDto;
import com.xjrsoft.module.evaluate.dto.UpdateEvaluateTemplateStatusDto;
import com.xjrsoft.module.evaluate.entity.EvaluateTemplate;
import com.xjrsoft.module.evaluate.dto.EvaluateTemplatePageDto;
import com.xjrsoft.module.evaluate.vo.EvaluateTemplatePageVo;
import com.xjrsoft.module.evaluate.vo.EvaluateTemplateVo;

/**
* @title: 评价模版
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/

public interface IEvaluateTemplateService extends MPJBaseService<EvaluateTemplate> {
    Page<EvaluateTemplatePageVo> getPage(Page<EvaluateTemplatePageDto> page, EvaluateTemplatePageDto dto);

    EvaluateTemplateVo getInfo(Long id);

    Boolean saveCustom(AddEvaluateTemplateDto dto);

    Boolean changeStatus(UpdateEvaluateTemplateStatusDto dto);
}
