package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 被评价对象表单出参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateObjectGradeListVo {
    /**
     * 评价管理
     */
    @ApiModelProperty("评价管理id")
    private Long evaluateManageId;
    /**
    * 年级id
    */
    @ApiModelProperty("年级id")
    private Long gradeId;
    /**
     * 年级名称
     */
    @ApiModelProperty("年级名称")
    private String gradeName;
    /**
    * 被评价对象数
    */
    @ApiModelProperty("被评价对象数")
    private Integer objectCount;
    /**
    * 参与评价的人数
    */
    @ApiModelProperty("参与评价的人数")
    private Integer executerCount;
}
