package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 评价结果首页详情查看的详情出参list集合
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
public class EvaluateResultDetailPageDetailList {

    /**
    * 每一道题目的主键编号
    */
    @ApiModelProperty("每一道题目的主键编号")
    private Long evaluateManageItem;
    /**
    * 标题名称
    */
    @ApiModelProperty("标题名称")
    private String topic;
    /**
    * 题目名称
    */
    @ApiModelProperty("题目名称")
    private String problem;
    /**
    * 题目分数（最小为0，只能整数）
    */
    @ApiModelProperty("题目分数（最小为0，只能整数）")
    private Integer score;
    /**
     * 实际分数（最小为0，只能整数）
     */
    @ApiModelProperty("实际分数（最小为0，只能整数）")
    private Integer actualScore;
    /**
     * 建议/意见
     */
    @ApiModelProperty("建议/意见")
    private String opinion;

}
