package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 评价结果首页详情查看分页列表出参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateResultDetailPageVo {
    /**
     * 评价管理主键编号
     */
    @ApiModelProperty(value = "评价管理主键编号",required = true)
    private Long evaluateManageId;

    /**
    * 被评价对象id
    */
    @ApiModelProperty("被评价对象id")
    private Long evaluatedObjectId;

    /**
     * 被评价对象类型
     */
    @ApiModelProperty("被评价对象类型")
    private String evaluatedObjectType;

    /**
     * 被评价人id
     */
    @ApiModelProperty("被评人id")
    private Long ObjectId;

    /**
     * 被评价人名字
     */
    @ApiModelProperty("被评人名字")
    private String ObjectIdCN;

    /**
     * 执行人id
     */
    @ApiModelProperty("执行人id")
    private Long evaluatedExecuterId;
    /**
     * 参评人id
     */
    @ApiModelProperty("参评人id")
    private Long userId;

    /**
     * 参评人id
     */
    @ApiModelProperty("参评人id")
    private String userIdCN;
    /**
     * 评分状态
     */
    @ApiModelProperty("评分状态（0-未评分，1-已评分）")
    private Integer status;
    /**
     * 综合评分
     */
    @ApiModelProperty("综合评分")
    private Integer comprehensiveScore;
}
