package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 评价管理分页列表出参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class MobileIndexPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("评价管理编号")
    private String evaluateManageId;
    /**
     * 评价类型-中文
     */
    @ApiModelProperty("评价类型")
    private String evaluateType;
    /**
    * 评价类型-中文
    */
    @ApiModelProperty("评价类型-中文")
    private String evaluateTypeCn;
    /**
    * 评价名称
    */
    @ApiModelProperty("评价名称")
    private String name;
    /**
     * 登录用户整个评价管理的已经评价对象的数量（0：表示该用户所有需要评价的对象都已经评价）
     */
    @ApiModelProperty("登录用户整个评价管理的已经评价对象的数量（0：表示该用户所有需要评价的对象都已经评价）")
    private Integer ratedCount;
}
