package com.xjrsoft.module.form.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Author: tzx
 * @Date: 2023/8/17 14:55
 */
@Data
public class AppFormExecuteInfoDto {
    /**
     * 功能id
     */
    @NotNull(message = "功能id 不能为空")
    @ApiModelProperty("功能id 发布id")
    private Long funcId;

    /**
     * 主键id
     */
    @NotBlank(message = "自定义表单 发布id 不能为空")
    @ApiModelProperty("自定义表单 主键id")
    private String id;
}
