package com.xjrsoft.module.holiday.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 
* @Author fanxp
* @Date: 2024-03-26
* @Version 1.0
*/
@Data
public class AddHolidayDateDto implements Serializable {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty("开始时间（YYYY-MM-DD）")
    private String startDate;

    @ApiModelProperty("结束时间（YYYY-MM-DD）")
    private String endDate;

    /**
    * 0=普通工作日 1=周末 2=需要补班的工作日 3=法定节假日
    */
    @ApiModelProperty("0=普通工作日 1=周末 2=需要补班的工作日 3=法定节假日")
    private Integer status;
}
