package com.xjrsoft.module.holiday.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 
* @Author fanxp
* @Date: 2024-03-26
* @Version 1.0
*/
@Data
@Builder
@TableName("holiday_date")
@ApiModel(value = "holiday_date", description = "")
public class HolidayDate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 日期yyyy-MM-dd
    */
    @ApiModelProperty("日期yyyy-MM-dd")
    private String date;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer year;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer month;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer day;
    /**
    * 0=普通工作日 1=周末 2=需要补班的工作日 3=法定节假日
    */
    @ApiModelProperty("0=普通工作日 1=周末 2=需要补班的工作日 3=法定节假日")
    private Integer status;
    /**
    * 方式 1=系统数据 2=用户数据
    */
    @ApiModelProperty("方式 1=系统数据 2=用户数据")
    private Integer way;
    /**
    * 删除状态 0=正常 1=删除
    */
    @ApiModelProperty("删除状态 0=正常 1=删除")
    private Integer deleteStatus;


}