package com.xjrsoft.module.job;

import cn.hutool.db.Db;
import cn.hutool.extra.spring.SpringUtil;
import com.xjrsoft.common.constant.GlobalConstant;
import com.xjrsoft.common.utils.DatasourceUtil;
import com.xjrsoft.module.hikvision.entity.HikvisionData;
import com.xjrsoft.module.hikvision.util.DataUtil;
import com.xjrsoft.module.schedule.entity.JianyueData;
import com.xjrsoft.module.teacher.mapper.FaceImportMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.sql.DataSource;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 用于请假后删除权限
 * @author dzx
 * @date 2024年5月21日
 */
@Component
@Slf4j
public class HikvisionLeaveTask {
    @Autowired
    private FaceImportMapper faceImportMapper;

    @Scheduled(cron = "0 */15 * * * ?")
    public void RefreshConnectionPool() {
    }
}
