package com.xjrsoft.module.ledger.vo;

import com.xjrsoft.module.form.entity.MenuConfig;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
* @title: 台账发布表表单出参
* @Author dzx
* @Date: 2024-03-07
* @Version 1.0
*/
@Data
public class LedgerConfigReleaseVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
     * 台账配置(ledger_config)
     */
    @ApiModelProperty("台账配置id(ledger_config)")
    private Long ledgerConfigId;
    /**
     * 备注信息
     */
    @ApiModelProperty("备注信息")
    private String remark;
    /**
     * 序号
     */
    @ApiModelProperty("序号")
    private Integer sortCode;

    @Valid
    @NotNull(message = "菜单配置不能为空")
    private MenuConfig menuConfig;



}
