package com.xjrsoft.module.liteflow.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* @title: 规则表分页列表出参
* @Author fanxp
* @Date: 2023-11-02
* @Version 1.0
*/
@Data
public class XjrLiteflowChainPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 应用名
    */
    @ApiModelProperty("应用名")
    private String applicationName;
    /**
    * 规则名
    */
    @ApiModelProperty("规则名")
    private String chainName;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String chainDesc;
    /**
    * 规则文件
    */
    @ApiModelProperty("规则文件")
    private String elData;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

}
