package com.xjrsoft.module.material.dto;

import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 材料提交任务类型
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class AddMaterialTypeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 任务名称
    */
    @ApiModelProperty("任务名称")
    private String name;
    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategory;
    /**
     * 文件模板
     */
    @ApiModelProperty("文件模板")
    private Long folderId;
    /**
     * 表单发布
     */
    @ApiModelProperty("表单发布")
    private Long formReleaseId;
}
