package com.xjrsoft.module.oa.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class NewsReplyDto {

    @NotNull(message = "新闻主键不能为空！")
    @ApiModelProperty("主键")
    private Long id;

    @NotNull(message = "回复内容不能为空！")
    @ApiModelProperty("回复内容")
    private String replyContent;
}
