package com.xjrsoft.module.oa.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Author: tzx
 * @Date: 2023/3/8 14:26
 */
@Data
public class MessageListVo {

    @ApiModelProperty("消息主键")
    private Long id;

    @ApiModelProperty("消息类型")
    private Integer messageType;

    @ApiModelProperty("接收消息用户id")
    private Long userId;

    @ApiModelProperty("是否已读")
    private Integer isRead;

    @ApiModelProperty("发布时间")
    private LocalDateTime sendTime;

    @ApiModelProperty("已读时间")
    private LocalDateTime readTime;

    @ApiModelProperty("消息内容")
    private String messageContent;

    @ApiModelProperty("对象id  日程id 或者 taskId  ")
    private String objectId;

    @ApiModelProperty("processId  ")
    private String processId;

    @ApiModelProperty("schemaId  ")
    private Long schemaId;

    @ApiModelProperty("格式化时间  ")
    private String timeFormat;

}
