package com.xjrsoft.module.organization.dto;

import com.xjrsoft.common.page.PageInput;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

/**
 * @title: DepartmentPageDto
 * @Author tzx
 * @Date: 2022/4/4 16:35
 * @Version 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DepartmentPageDto extends PageInput {

    @Length(min = 1,max = 50,message = "机构名称最少2个字符，最多50个字符！")
    private String name;

    @Length(min = 1,max = 10,message = "机构编码最少2个字符，最多10个字符！")
    private String code;

    private Integer enabledMark;
}
