package com.xjrsoft.module.outint.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 学生出入记录分页列表出参
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
public class StudentOutInRecordPageVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 班主任id
    */
    @ApiModelProperty("班主任id")
    private Long teacherId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 记录时间
    */
    @ApiModelProperty("记录时间")
    private String recordTime;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private String facePhoto;
    /**
    * 进出状态(0:进 1:出)
    */
    @ApiModelProperty("进出状态(0:进 1:出)")
    private Integer status;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    private Long phone;
    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String gender;
    /**
     * 人脸照片地址
     */
    @ApiModelProperty("人脸照片地址")
    private String facePhotoUrl;
    /**
     * 就读方式
     */
    @ApiModelProperty("就读方式")
    private String stduyStatusCn;
    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String classCn;
    /**
     * 班主任
     */
    @ApiModelProperty("班主任")
    private String teacherCn;
}
