package com.xjrsoft.module.outint.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 访客出入记录表单出参
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
public class VisitorOutInRecordVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 访客id(reservation_school_people)
    */
    @ApiModelProperty("访客id(reservation_school_people)")
    private Long reservationSchoolPeopleId;
    /**
    * 记录时间
    */
    @ApiModelProperty("记录时间")
    private String recordTime;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private Long facePhoto;
    /**
    * 进出状态(0:进 1:出)
    */
    @ApiModelProperty("进出状态(0:进 1:出)")
    private Integer status;



}
