package com.xjrsoft.module.personnel.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 工资条数据
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
public class AddBasePersonnelLabourCapitalDataDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 工资发放id
    */
    @ApiModelProperty("工资发放id")
    private Long labourCapitalId;
    /**
    * 证件类型
    */
    @ApiModelProperty("证件类型")
    private String idType;
    /**
    * 证件号码
    */
    @ApiModelProperty("证件号码")
    private String idNumber;
    /**
    * 工号
    */
    @ApiModelProperty("工号")
    private String jobNumber;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 合计
    */
    @ApiModelProperty("合计")
    private String amountTo;
    /**
    * 扩展信息
    */
    @ApiModelProperty("扩展信息")
    private String extendJson;

}
