package com.xjrsoft.module.personnel.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;
import java.util.List;



/**
* @title: 工资发放
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
public class AddBasePersonnelLabourCapitalDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 工资发放名称
    */
    @ApiModelProperty("工资发放名称")
    private String name;
    /**
    * 发放年月
    */
    @ApiModelProperty("发放年月")
    private String dateOfIssue;

}
