package com.xjrsoft.module.personnel.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 预约进校-进校人员
* @Author dzx
* @Date: 2024-05-11
* @Version 1.0
*/
@Data
public class AddReservationSchoolPeopleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 预约进校编号
    */
    @ApiModelProperty("预约进校编号")
    private Long reservationSchooId;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
    * 手机号码
    */
    @ApiModelProperty("手机号码")
    private Long phone;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 是否开车
    */
    @ApiModelProperty("是否开车")
    private String isCar;
    /**
    * 车牌号
    */
    @ApiModelProperty("车牌号")
    private String plateNumber;

}
