package com.xjrsoft.module.personnel.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 预约进校分页查询入参
* @Author dzx
* @Date: 2024-05-11
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class ReservationSchoolPageDto extends PageInput {
    /**
     * 类型 1生效中 2 历史预约
     */
    @ApiModelProperty("类型 1生效中 2 历史预约")
    private Integer type;
}
