package com.xjrsoft.module.personnel.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 学生人脸信息审核分页查询入参
* @Author dzx
* @Date: 2024-05-10
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class StundentFaceProcessPageDto extends PageInput {

    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private Long ClassId;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentId;
    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;
    /**
     * 就读方式
     */
    @ApiModelProperty("就读方式")
    private String stduyStatus;
    /**
     * 状态(0:未结束 1:结束)
     */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
}
