package com.xjrsoft.module.personnel.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.attendance.vo.VisitorInfoVo;
import com.xjrsoft.module.personnel.entity.ReservationSchool;
import lombok.Data;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 预约进校
* @Author dzx
* @Date: 2024-05-11
* @Version 1.0
*/

public interface IReservationSchoolService extends MPJBaseService<ReservationSchool> {
    /**
    * 新增
    *
    * @param reservationSchool
    * @return
    */
    Boolean add(ReservationSchool reservationSchool);

    /**
    * 更新
    *
    * @param reservationSchool
    * @return
    */
    Boolean update(ReservationSchool reservationSchool);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    /**
     * 访问海康预约免登记接口
     * @param dataObj
     * @return
     */
    Boolean registration(ReservationSchool dataObj);

    List<VisitorInfoVo> getVisionList(String date);
}
