package com.xjrsoft.module.personnel.vo;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.qiniu.util.Json;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * @title: 月工资条分页列表出参
 * @Author brealinxx
 * @Date: 2024-01-25
 * @Version 1.0
 */
@Data
public class BasePersonnelLabourCapitalMonthPageVo {
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键")
    @ApiModelProperty("主键")
    private String id;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("姓名")
    @ApiModelProperty("姓名")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("部门")
    @ApiModelProperty("部门")
    private String dept;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("总计")
    @ApiModelProperty("总计")
    private float amount;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("待处理json")
    @ApiModelProperty("待处理json")
    private String pendingJson;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("月工资明细")
    @ApiModelProperty("月工资明细")
    private Map<String, Object> dict;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("月份")
    @ApiModelProperty("月份")
    private int month;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("年份")
    @ApiModelProperty("年份")
    private int year;
}
