package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 查寝记录(关联寝室)
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class AddRoomBedCheckRecordRelationDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 查寝记录编号（room_bed_check_record）
    */
    @ApiModelProperty("查寝记录编号（room_bed_check_record）")
    private Long roomBedCheckRecordId;
    /**
    * 寝室编号(room)
    */
    @ApiModelProperty("寝室编号(room)")
    private Long roomId;
    /**
    * 楼栋(base_office_build)
    */
    @ApiModelProperty("楼栋(base_office_build)")
    private String officeBuildId;
    /**
    * 楼层
    */
    @ApiModelProperty("楼层")
    private Integer floorNumber;
    /**
    * 寝室名称
    */
    @ApiModelProperty("寝室名称")
    private String roomName;

}
