package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalDate;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;
import com.xjrsoft.module.room.entity.RoomValueWeekItem;



/**
* @title: 宿管值班管理
* @Author dzx
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class AddRoomValueWeekDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private LocalDate startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private LocalDate endTime;

    @ApiModelProperty("男寝宿管id")
    private Long maleUserId;

    @ApiModelProperty("女寝宿管id")
    private Long femaleUserId;

    @ApiModelProperty("教官id")
    private Long instructorUserId;

    @ApiModelProperty("男生留宿人数")
    private Integer maleStudents;

    @ApiModelProperty("女生留宿人数")
    private Integer femaleStudents;
}
