package com.xjrsoft.module.room.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.room.dto.RoomStudentAppointPageDto;
import com.xjrsoft.module.room.entity.RoomStudentAppoint;
import com.xjrsoft.module.room.vo.AppointPageRoomBedVo;
import com.xjrsoft.module.room.vo.HeadTeaRoomCadreAppointPageVo;

import java.util.List;

/**
 * @title: 寝室长任命
 * @Author dzx
 * @Date: 2023-12-30
 * @Version 1.0
 */

public interface IRoomStudentAppointService extends MPJBaseService<RoomStudentAppoint> {

    IPage<HeadTeaRoomCadreAppointPageVo> getPage(RoomStudentAppointPageDto dto);

    List<AppointPageRoomBedVo> getStuByRoomId(RoomStudentAppointPageDto dto);
}
