package com.xjrsoft.module.room.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.room.dto.AddRoomTeacherAppointDto;
import com.xjrsoft.module.room.dto.RoomTeacherAppointPageDto;
import com.xjrsoft.module.room.entity.RoomTeacherAppoint;
import com.xjrsoft.module.room.vo.RoomTeacherAppointPageVo;

import java.util.List;

/**
* @title: 宿管任命
* @Author dzx
* @Date: 2023-12-29
* @Version 1.0
*/

public interface IRoomTeacherAppointService extends MPJBaseService<RoomTeacherAppoint> {

    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<RoomTeacherAppointPageVo> getPage(Page<RoomTeacherAppointPageDto> page, RoomTeacherAppointPageDto dto);

    Boolean clearAppoint(List<Long> ids);

    Boolean saveBatch(AddRoomTeacherAppointDto dto);
}
