package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
* @title: 寝室床位分页列表出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class AdjustBedClassPageVo {


    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级id")
    private String id;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级名称")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("学生信息")
    private List<AdjustBedClassStudentPageVo> studentList;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班主任id")
    private String teacherId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班主任名称")
    private String teacherName;
}
