package com.xjrsoft.module.room.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;
import com.xjrsoft.module.room.entity.RoomValueWeekItem;

/**
* @title: 宿管值班管理表单出参
* @Author dzx
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class RoomValueWeekVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;


    /**
    * roomValueWeekItem
    */
    @ApiModelProperty("roomValueWeekItem子表")
    private List<RoomValueWeekItemVo> roomValueWeekItemList;

}
