package com.xjrsoft.module.schedule.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 周课表导出
 */
@Data
public class ScheduleWeekExportQueryVo {
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("时间")
    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private String timePeriod;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("时间")
    @ApiModelProperty("节次")
    private String timeNumber;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("周一")
    @ApiModelProperty("星期一的课")
    private String monday;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("周二")
    @ApiModelProperty("星期二的课")
    private String tuesday;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("周三")
    @ApiModelProperty("星期三的课")
    private String wednesday;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("周四")
    @ApiModelProperty("星期四的课")
    private String thursday;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("周五")
    @ApiModelProperty("星期五的课")
    private String friday;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("周六")
    @ApiModelProperty("星期六的课")
    private String saturday;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("周日")
    @ApiModelProperty("星期日的课")
    private String sunday;
}
