package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 专业分类表
* @Author szs
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
public class AddBaseMajorCategorDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 专业分类名称
    */
    @ApiModelProperty("专业分类名称")
    private String name;
    /**
    * 专业分类代码
    */
    @ApiModelProperty("专业分类代码")
    private String code;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 办学层次(base_major_gradation)
    */
    @ApiModelProperty("办学层次(base_major_gradation)")
    private Long majorGradationId;

}
