package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 攀宝学期对应
* @Author zsz
* @Date: 2024-03-18
* @Version 1.0
*/
@Data
public class AddPbSemesterConfigDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 学期
    */
    @ApiModelProperty("学期")
    private Long baseSemesterId;
    /**
    * 攀宝学期code
    */
    @ApiModelProperty("攀宝学期code")
    private String beltcode;
    /**
     * 收费区间名称
     */
    @ApiModelProperty("收费区间名称")
    private String beltname;
}
