package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 学籍异动原因
* @Author szs
* @Date: 2023-11-29
* @Version 1.0
*/
@Data
public class AddSchoolRollReasonDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 原因
    */
    @ApiModelProperty("原因")
    private String reason;
    /**
    * 学籍异动类别ID(school_roll_category)
    */
    @ApiModelProperty("学籍异动类别ID(school_roll_category)")
    private Long schoolRollCategoryId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
