package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
* @title: 学生班级巡查考核
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class BaseStudentAssessmentInspectionMobilePageDto extends PageInput {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("班级编号")
    private List<Long> classIds;

    @ApiModelProperty("项目编号")
    private List<Long> projectIds;

    @ApiModelProperty("考核日期-开始")
    private String startDate;

    @ApiModelProperty("考核日期-结束")
    private String endDate;
}
