package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
* @title: 学生操行分记录管理分页查询入参
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentBehaviorManageMobilePageDto extends PageInput {


    /**
     * 班级ids
     */
    @ApiModelProperty("年级ids")
    private List<Long> gradeIds;

    /**
     * 班级ids
     */
    @ApiModelProperty("班级ids")
    private List<Long> classIds;

    /**
     * 考核人ids
     */
    @ApiModelProperty("考核人ids")
    private List<Long> assessmentUserIds;

    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    private String studentName;


    /**
     * 考核时间-开始
     */
    @ApiModelProperty("考核时间-开始")
    private String startDate;


    /**
     * 考核时间-结束
     */
    @ApiModelProperty("考核时间-结束")
    private String endDate;

    /**
     * 教师id
     */
    @ApiModelProperty("教师id")
    private Long teacherId;
}
