package com.xjrsoft.module.student.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生处分信息管理分页查询入参
* @Author dzx
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentPunishmentInfoPageDto extends PageInput {
    @ExcelProperty("处分学期")
    @ApiModelProperty("处分学期")
    private Long semesterId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("处分开始日期")
    private String startTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("处分结束日期")
    private String endTime;

    @ApiModelProperty("处分类型id")
    private Long punishmentTypeId;
}
