package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 攀宝学期对应分页查询入参
* @Author zsz
* @Date: 2024-03-18
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class PbSemesterConfigPageDto extends PageInput {
    /**
     * 学期
     */
    @ApiModelProperty("学期")
    private Long baseSemesterId;
}
