package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 
* @Author szs
* @Date: 2024-03-29
* @Version 1.0
*/
@Data
@TableName("pb_cse_feeobjupdate")
@ApiModel(value = "pb_cse_feeobjupdate", description = "")
public class PbCseFeeobjupdate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("学生主键")
    private String pkfeeobj;
    /**
    * 
    */
    @ApiModelProperty("学号")
    private String studentcode;
    /**
    * 
    */
    @ApiModelProperty("姓名")
    private String feeobjname;
    /**
    * 
    */
    @ApiModelProperty("身份证号")
    private String personalid;
    /**
    * 
    */
    @ApiModelProperty("民族")
    private String nationality;
    /**
    * 
    */
    @ApiModelProperty("出生年月")
    private String birthday;
    /**
    * 
    */
    @ApiModelProperty("所属院系编码")
    private String deptcode;
    /**
    * 
    */
    @ApiModelProperty("所属院系名称")
    private String deptname;
    /**
    * 
    */
    @ApiModelProperty("所属专业代码")
    private String speccode;
    /**
    * 
    */
    @ApiModelProperty("所属专业名称")
    private String specname;
    /**
    * 
    */
    @ApiModelProperty("所属班级代码")
    private String classcode;
    /**
    * 
    */
    @ApiModelProperty("所属班级名称")
    private String classname;
    /**
    * 
    */
    @ApiModelProperty("学制")
    private String ratetypename;
    /**
    * 
    */
    @ApiModelProperty("性别")
    private String sex;
    /**
    * 
    */
    @ApiModelProperty("在校状态")
    private String state;
    /**
    * 
    */
    @ApiModelProperty("入校年度")
    private String enteryear;
    /**
    * 
    */
    @ApiModelProperty("离校年度")
    private String leaveyear;
    /**
    * 
    */
    @ApiModelProperty("学生联系电话")
    private String telephone;
    /**
    * 
    */
    @ApiModelProperty("家长联系电话")
    private String jzlxdh;
    /**
    * 
    */
    @ApiModelProperty("志愿调剂专业")
    private String zytjspec;
    /**
    * 
    */
    @ApiModelProperty("身高")
    private String sg;
    /**
    * 
    */
    @ApiModelProperty("体重")
    private String tz;
    /**
    * 
    */
    @ApiModelProperty("招生老师")
    private String recruiters;
    /**
    * 
    */
    @ApiModelProperty("毕业学校")
    private String graduations;
    /**
    * 
    */
    @ApiModelProperty("备注")
    private String remarks;
    /**
    * 
    */
    @ApiModelProperty("资助类型")
    private String resourcename;
    /**
    * 
    */
    @ApiModelProperty("住宿类型")
    private String quartername;
    /**
    * 
    */
    @ApiModelProperty("地址")
    private String address;
    /**
    * 
    */
    @ApiModelProperty("创建时间")
    private String cratetime;
    /**
    * 
    */
    @ApiModelProperty("更新时间")
    private String updatetime;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long rn;

}