package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.BaseStudentCadrePageDto;
import com.xjrsoft.module.student.entity.BaseStudentCadre;
import com.xjrsoft.module.student.vo.BaseStudentCadrePageVo;
import com.xjrsoft.module.student.vo.BaseStudentCadreVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 学生干部管理
* @Author dzx
* @Date: 2023-11-14
* @Version 1.0
*/
@Mapper
public interface BaseStudentCadreMapper extends MPJBaseMapper<BaseStudentCadre> {

    IPage<BaseStudentCadrePageVo> getListPage(IPage<BaseStudentCadrePageDto> page, BaseStudentCadrePageDto dto);

    BaseStudentCadreVo getOneById(Long id);
}
