package com.xjrsoft.module.student.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.attendance.dto.AttendanceStatisticDto;
import com.xjrsoft.module.outint.vo.IdCountVo;
import com.xjrsoft.module.student.entity.StudentDropOut;
import com.xjrsoft.module.student.entity.StudentLeave;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
* @title: 学生请假
* @Author dzx
* @Date: 2024年5月27日
* @Version 1.0
*/
@Mapper
public interface StudentLeaveMapper extends MPJBaseMapper<StudentLeave> {

    Long getLeaveCount(@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime, @Param("dto") AttendanceStatisticDto dto);

    List<IdCountVo> getClassLeaveCount(@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);


    List<StudentLeave> getLeaveList(@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);
}
