package com.xjrsoft.module.student.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.entity.BaseStudentScholarshipCategory;

import java.util.List;

/**
* @title: 奖学金类别
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/

public interface IBaseStudentScholarshipCategoryService extends MPJBaseService<BaseStudentScholarshipCategory> {
    /**
    * 新增
    *
    * @param baseStudentScholarshipCategory
    * @return
    */
    Boolean add(BaseStudentScholarshipCategory baseStudentScholarshipCategory);

    /**
    * 更新
    *
    * @param baseStudentScholarshipCategory
    * @return
    */
    Boolean update(BaseStudentScholarshipCategory baseStudentScholarshipCategory);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);
}
