package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.PbVXssfdetailExcelDto;
import com.xjrsoft.module.student.dto.PbVXssfdetailPageDto;
import com.xjrsoft.module.student.dto.PersonalInfoDto;
import com.xjrsoft.module.student.entity.PbVXssfdetail;
import com.xjrsoft.module.student.vo.PbVXssfdetailExcelVo;
import com.xjrsoft.module.student.vo.PbVXssfdetailPageVo;
import com.xjrsoft.module.student.vo.PersonalPortraitPersonalInfoVo;
import com.xjrsoft.module.student.vo.StudentPersonalInfoVo;

import java.util.List;

/**
* @title: 
* @Author dzx
* @Date: 2024-03-13
* @Version 1.0
*/

public interface IPbVXssfdetailService extends MPJBaseService<PbVXssfdetail> {

    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<PbVXssfdetailPageVo> getPage(Page<PbVXssfdetailPageVo> page, PbVXssfdetailPageDto dto);

    /**
     * 分页查询
     * @param dto
     * @return
     */
    List<PbVXssfdetailExcelVo> getList(PbVXssfdetailExcelDto dto);
    /**
     * 个人财务画像
     * @param dto
     * @return
     */
    PersonalPortraitPersonalInfoVo getPersonalInfo(PersonalInfoDto dto);

}
