package com.xjrsoft.module.student.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.student.dto.BaseStudentBursariesApplicantPageDto;
import com.xjrsoft.module.student.entity.BaseStudentBursariesApplicant;
import com.xjrsoft.module.student.mapper.BaseStudentBursariesApplicantMapper;
import com.xjrsoft.module.student.service.IBaseStudentBursariesApplicantService;
import com.xjrsoft.module.student.vo.BaseStudentBursariesApplicantPageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
* @title: 助学金申请
* @Author dzx
* @Date: 2023-11-24
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class BaseStudentBursariesApplicantServiceImpl extends MPJBaseServiceImpl<BaseStudentBursariesApplicantMapper, BaseStudentBursariesApplicant> implements IBaseStudentBursariesApplicantService {

    private final BaseStudentBursariesApplicantMapper baseStudentBursariesApplicantMapper;
    @Override
    public Page<BaseStudentBursariesApplicantPageVo> getPage(Page<BaseStudentBursariesApplicantPageDto> page, BaseStudentBursariesApplicantPageDto dto) {
        Page<BaseStudentBursariesApplicantPageVo> result = baseStudentBursariesApplicantMapper.getPage(page, dto);
        return result;
    }
}
