package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 移动端学生修改信息列表
* @Author dzx
* @Date: 2024年2月26日
* @Version 1.0
*/
@Data
public class BaseStudentInfoPageDataVo {


    @ApiModelProperty("总人数")
    private Integer totalCount;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("男生人数")
    private Integer maleCount;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("女生人数")
    private Integer femaleCount;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("住校数量")
    private Integer stayCount;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("住校男生人数")
    private Integer maleStayCount;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("住校女生人数")
    private Integer femaleStayCount;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("走读数量")
    private Integer notStayCount;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("走读男生人数")
    private Integer maleNotStayCount;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("走读女生人数")
    private Integer femaleNotStayCount;

}
