package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 干部部门分页列表出参
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Data
public class CadreDeptPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 机构名称
    */
    @ApiModelProperty("机构名称")
    private String name;
    /**
    * 部门上级编号
    */
    @ApiModelProperty("部门上级编号")
    private Long parentId;
    /**
    * 编码
    */
    @ApiModelProperty("编码")
    private String code;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
