package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ChargingSituationVo {

    /**
    * 收费类型
    */
    @ApiModelProperty("收费类型")
    private String feeitemname;
    /**
    * 缴纳率
    */
    @ApiModelProperty("缴纳率")
    private String rateOfPayment;
    /**
    * 已缴纳
    */
    @ApiModelProperty("已缴纳")
    private Long paid;
    /**
     * 未缴纳
     */
    @ApiModelProperty("未缴纳")
    private Long unpaid;
    /**
     * 入账金额
     */
    @ApiModelProperty("入账金额")
    private BigDecimal recordedmoney;
}
