package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 班级欠费排名
* @Author dzx
* @Date: 2024年6月3日
* @Version 1.0
*/
@Data
public class ClassQfPageVo {

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级名称")
    @ApiModelProperty("班级名称")
    private String className;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("年级名称")
    @ApiModelProperty("年级名称")
    private String gradeName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班主任名称")
    @ApiModelProperty("班主任名称")
    private String teacherName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("欠费总金额")
    @ApiModelProperty("欠费总金额")
    private Double qfzje;
}