package com.xjrsoft.module.student.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class SemesterYeatTreeVo implements ITreeNode<SemesterYeatTreeVo,Long>, Serializable {


    @ApiModelProperty("id")
    private Long id;


    @ApiModelProperty("name")
    private String name;


    @ApiModelProperty("parentId")
    private Long parentId;


    @ApiModelProperty("children")
    private List<SemesterYeatTreeVo> children;

}
