package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 常用功能设置
* @Author brealinxx
* @Date: 2024-04-18
* @Version 1.0
*/
@Data
public class AddSystemMenuCommonlyUsedDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 菜单id
    */
    @ApiModelProperty("菜单id")
    private Long menuId;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer seq;

}
