package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 快捷菜单
* @Author fanxp
* @Date: 2023-11-11
* @Version 1.0
*/
@Data
public class AddXjrMenuQuickDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 菜单编号
    */
    @ApiModelProperty("菜单编号")
    private Long menuId;
    /**
    * 系统编号
    */
    @ApiModelProperty("系统编号")
    private Long systemId;

}
