package com.xjrsoft.module.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.evaluate.dto.EvaluateTemplatePageDto;
import com.xjrsoft.module.evaluate.vo.EvaluateTemplatePageVo;
import com.xjrsoft.module.system.dto.AddXjrMenuDeptRelationDto;
import com.xjrsoft.module.system.dto.XjrMenuDeptRelationPageDto;
import com.xjrsoft.module.system.entity.XjrMenuDeptRelation;
import com.xjrsoft.module.system.vo.XjrMenuDeptRelationPageVo;
import lombok.Data;
import java.util.List;

/**
* @title: 菜单部门关联表
* @Author brealinxx
* @Date: 2024-04-09
* @Version 1.0
*/

public interface IXjrMenuDeptRelationService extends MPJBaseService<XjrMenuDeptRelation> {
    Page<XjrMenuDeptRelationPageVo> getPage(Page<XjrMenuDeptRelationPageDto> page, XjrMenuDeptRelationPageDto dto);
}
