package com.xjrsoft.module.teacher.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 教师奖项分页查询入参
* @Author dzx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TeacherAwardItemPageDto extends PageInput {

    /**
     * 是否论文（1：是 0：否）
     */
    @ApiModelProperty("是否论文（1：是 0：否）")
    private Integer isThesis;
}
