package com.xjrsoft.module.teacher.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.teacher.entity.WfTeacherleave;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
* @title: 教职工请假流程
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Mapper
public interface WfTeacherleaveMapper extends MPJBaseMapper<WfTeacherleave> {

    Long getLeaveCount(@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);

    List<WfTeacherleave> getLeaveList(@Param("startTime") LocalDateTime startTime, @Param("endTime") LocalDateTime endTime);
}
