package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 作业本征订项
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class AddWfExerciseBookItemDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 作业本征订编号
    */
    @ApiModelProperty("作业本征订编号")
    private Long wfExerciseBookId;
    /**
    * 作业本征订类型(xjr_dictionary_item[exercise_book_type])
    */
    @ApiModelProperty("作业本征订类型(xjr_dictionary_item[exercise_book_type])")
    private String subscriptionType;
    /**
    * 规格型号
    */
    @ApiModelProperty("规格型号")
    private String specificationsModels;
    /**
    * 估价(元)
    */
    @ApiModelProperty("估价(元)")
    private BigDecimal appraisalPrice;
    /**
    * 征订数量
    */
    @ApiModelProperty("征订数量")
    private Integer subscriptionNumber;

}
