package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 推书申请项
* @Author szs
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class AddWfTextbookRecedeItemDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 退书申请编号
    */
    @ApiModelProperty("退书申请编号")
    private Long wfTextbookRecedeId;
    /**
    * 教材管理编号
    */
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
    * 数量
    */
    @ApiModelProperty("数量")
    private Integer number;

}
