package com.xjrsoft.module.textbook.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.textbook.entity.TextbookStudentClaim;
import com.xjrsoft.module.textbook.vo.TeacherCheckByclassVo;
import com.xjrsoft.module.textbook.dto.TeacherCheckByStuDto;
import com.xjrsoft.module.textbook.dto.TeacherCheckByclassDto;
import com.xjrsoft.module.textbook.dto.TeacherCheckStuClaimDto;
import com.xjrsoft.module.textbook.dto.TextbookClaimStudentConfirmDto;
import com.xjrsoft.module.textbook.vo.TeacherCheckByStuVo;
import com.xjrsoft.module.textbook.vo.TeacherCheckStuClaimVo;
import com.xjrsoft.module.textbook.vo.TextbookClaimVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 学生教材认领记录
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Mapper
public interface TextbookStudentClaimMapper extends MPJBaseMapper<TextbookStudentClaim> {

    List<TextbookClaimVO> getTextbookClaimList(@Param("dto")TextbookClaimStudentConfirmDto dto);

    IPage<TeacherCheckByclassVo> getTeacherCheckByclassList(IPage<TeacherCheckByclassDto> page, @Param("dto")TeacherCheckByclassDto dto);

    List<TeacherCheckStuClaimVo> getTeacherCheckStuClaimList(@Param("dto")TeacherCheckStuClaimDto dto);

    IPage<TeacherCheckByStuVo> getTeacherCheckByStuList(IPage<TeacherCheckByStuDto> page, @Param("dto")TeacherCheckByStuDto dto);

    List<TextbookClaimVO> getTextbookClaimVOList(Long studentUserId);
    //List<TextbookClaimVO> getTextbookClaimVOList(@Param("studentUserId")List<Long> studentUserId);
}
