package com.xjrsoft.module.textbook.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.textbook.dto.TextbookWarehouseRecordExportDto;
import com.xjrsoft.module.textbook.dto.TextbookWarehouseRecordPageDto;
import com.xjrsoft.module.textbook.entity.TextbookWarehouseRecord;
import com.xjrsoft.module.textbook.vo.TextbookWarehouseRecordPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 教材入库
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Mapper
public interface TextbookWarehouseRecordMapper extends MPJBaseMapper<TextbookWarehouseRecord> {
    Page<TextbookWarehouseRecordPageVo> getPage(Page<TextbookWarehouseRecordPageDto> page, TextbookWarehouseRecordPageDto dto);

    List<TextbookWarehouseRecordPageVo> getList(@Param("dto") TextbookWarehouseRecordExportDto dto);
}
