package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @title: 学生教材认领确定页出参
 * @Author szs
 * @Date: 2023-12-26
 * @Version 1.0
 */
@Data
public class TextbookClaimStudentConfirmVo {

    /**
     * 学生教材认领记录集合
     */
    @ApiModelProperty("学生教材认领记录集合")
    private List<TextbookClaimVO> textbookClaimVoList;
    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    private String studentName;
    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentId;
    /**
     * 学期
     */
    @ApiModelProperty("学期")
    private String baseSemesterCN;
    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String classCN;
}
