package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 教材出库记录分页列表出参
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class TextbookIssueRecordExcelVo {

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;


    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书号")
    @ApiModelProperty("书号")
    private String issn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书名")
    @ApiModelProperty("书名")
    private String bookName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("出版社")
    private String publishingHouse;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("作者（主编）")
    @ApiModelProperty("作者（主编）")
    private String editorInChief;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学科组")
    @ApiModelProperty("学科组")
    private String groupName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用年级")
    @ApiModelProperty("使用年级")
    private String gradeName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用班级")
    @ApiModelProperty("使用班级")
    private String className;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("对应课程")
    @ApiModelProperty("对应课程")
    private String courseName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("类型")
    @ApiModelProperty("类型")
    private String textbookTypeCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("规格型号")
    @ApiModelProperty("规格型号")
    private String specificationsModels;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出库方式")
    @ApiModelProperty("出库方式")
    private String issueModeCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出库时间")
    @ApiModelProperty("出库时间")
    private String createDateStr;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("领取人员")
    @ApiModelProperty("领取人员")
    private String claimUser;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出库数量")
    @ApiModelProperty("出库数量")
    private Integer issueNumber;

}
