package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 教材入库表单出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TextbookWarehouseRecordVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材管理编号
    */
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
    * 入库数量
    */
    @ApiModelProperty("入库数量")
    private Integer warehouseNumber;
    /**
    * 来源
    */
    @ApiModelProperty("来源")
    private String source;
    /**
    * 定价(元)
    */
    @ApiModelProperty("定价(元)")
    private BigDecimal price;
    /**
    * 折扣
    */
    @ApiModelProperty("折扣")
    private Double discount;
    /**
    * 小计（元）
    */
    @ApiModelProperty("小计（元）")
    private BigDecimal subtotal;
    /**
    * 总价（元）
    */
    @ApiModelProperty("总价（元）")
    private BigDecimal totalPrice;



}
