package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 推书申请项表单出参
* @Author szs
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class WfTextbookRecedeItemVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 退书申请编号
    */
    @ApiModelProperty("退书申请编号")
    private Long wfTextbookRecedeId;
    /**
    * 教材管理编号
    */
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
    * 数量
    */
    @ApiModelProperty("数量")
    private Integer number;



}
