package com.xjrsoft.module.weekly.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 值周排班
* @Author dzx
* @Date: 2023-12-30
* @Version 1.0
*/
@Data
public class AddWeeklyDutyScheduleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学号/工号
    */
    @ApiModelProperty("学号/工号")
    private String userNumber;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 证件号码
    */
    @ApiModelProperty("证件号码")
    private String credentialNumber;
    /**
    * 出生日期
    */
    @ApiModelProperty("出生日期")
    private Date dateBirth;
    /**
    * 年龄
    */
    @ApiModelProperty("年龄")
    private Integer age;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
