package com.xjrsoft.module.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.workflow.entity.WorkflowExtra;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author tzx
 * @since 2022-10-11
 */
@Mapper
public interface WorkflowExtraMapper extends MPJBaseMapper<WorkflowExtra> {

    @Delete("delete from #{tableName} where id = #{dataId}")
    void deleteFormData(String tableName, String dataId);
}
